Debian Bug report logs - #406335
RFP: secondlife-client -- a client for the Second Life online virtual world

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul TBBle Hampson <Paul.Hampson@Pobox.com>

Date: Wed, 10 Jan 2007 14:18:27 UTC

Severity: wishlist

Fix blocked by 450850: RFP: libllqtwebkit2 -- A wrapper library with simple

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lukas Fittl <lfittl@fsfe.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lukas Fittl <lfittl@fsfe.org>
To: submit@bugs.debian.org
Subject: ITP: secondlife-client - a client for the Second Life online virtual world
Date: Wed, 10 Jan 2007 14:47:28 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name: secondlife-client
  Version: 0.0.2007-01-08
  Upstream Author: Second Life Development Team
* URL: http://secondlife.com/
  License: GPL
  Description: a client for the Second Life online virtual world

Second Life is an online virtual world provided by Linden Lab, which
allows every user to create content and see the content produced by
other people. Users interact with the world using a client. This package
contains the official client by Linden Lab.

---

This package has some yet unpackaged dependencies, I am currently in the
process of going through these dependencies and searching for possible
alternatives if they are non-free (e.g. in the case of FMOD). Help with
this package is appreciated.

-- 
Lukas Fittl <lfittl@fsfe.org>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Lukas Fittl <lfittl@fsfe.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #14 received at 406335@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Lukas Fittl <lfittl@fsfe.org>
Cc: 406335@bugs.debian.org
Subject: Re: ITP: secondlife-client - a client for the Second Life online virtual world
Date: Tue, 16 Jan 2007 21:17:46 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wed, Jan 10, 2007 at 02:47:28PM +0100, Lukas Fittl wrote:
> * Package name: secondlife-client
>   Version: 0.0.2007-01-08
>   Upstream Author: Second Life Development Team
> * URL: http://secondlife.com/
>   License: GPL
>   Description: a client for the Second Life online virtual world

Please also have a look at the comments here
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=406335
and merge the bug into yours...


Cheers, Uwe.
-- 
http://www.hermann-uwe.de  | http://www.holsham-traders.de
http://www.crazy-hacks.org | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos.Marado@sonae.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #19 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Daniel Marado Torres <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Re: ITP: secondlife-client - a client for the Second Life online
Date: Wed, 17 Jan 2007 15:35:58 +0000
From: Lukas Fittl <lfittl@fsfe.org>:

> This package has some yet unpackaged dependencies, I am currently in 
> the process of going through these dependencies and searching for 
> possible alternatives if they are non-free (e.g. in the case of
> FMOD). Help with this package is appreciated.

Removing FMOD (and sound) in second life is easy. If you wish to avoid
FMOD, thus disabling audio, you may make these changes: 
      * Remove the reference to 'fmod-3.75' in indra/SConstruct
      * Replace '-DLL_SDL=1' with '-DLL_SDL=1 -DLL_FMOD=0' in
        indra/SConstruct
      * Comment-out the libfmod line in
        indra/newview/linux_tools/client-manifest-i686

Maybe a first release of this package could come without sound support?
What are those other dependencies that are still unmet?
I'm willing to help you out in any way I'm able to...

-- 
Marcos Marado <Marcos.Marado@sonae.com>
Sonaecom ISP
$ cat sig.pl
''=~('(?{'.('^)@@*@'^'.[).^`').'"'.('`@@?@~//[*;)@`//)@|'^'-).[`<@@(^^[`.@@[)^').',$/})')
$



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos.Marado@sonae.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #24 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Daniel Marado Torres <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Second Life dependencies
Date: Wed, 24 Jan 2007 17:30:23 +0000
There's the need to package xmlrpc-epi, since there's yet no available
version for Debian and this is a dependence of 2nd Life. 

Should we ITP it?
-- 
Marcos Marado <Marcos.Marado@sonae.com>
Sonaecom ISP
$ cat sig.pl
''=~('(?{'.('^)@@*@'^'.[).^`').'"'.('`@@?@~//[*;)@`//)@|'^'-).[`<@@(^^[`.@@[)^').',$/})')
$



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #29 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Date: Fri, 26 Jan 2007 18:31:53 -0500
Hi,

is there any progress with the debian package, any prerelease, etc.

Thanks,
Rainer

-- 
Rainer Dorsch
Alzentalstr. 28
D-71083 Herrenberg
07032-359190
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #34 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org, 406335-submitter@bugs.debian.org
Subject: secondlife-client ITP
Date: Sat, 27 Jan 2007 15:50:07 +1100
[Message part 1 (text/plain, inline)]
Out of curiosity, is the plan to package the linden labs client or the
opensecondlife.org client? (Or both? secondlife-client-ll and
second-life-client-opensl?)

Before I saw this ITP, I'd already knocked up packages for ELFIO and
openjpeg, and the xml-rpc library it requires (I forget the name,
libxmlrpc-epi I think) meaning I could build the client without having
to do any of the 'copy library headers' or 'grab tarball of libs', with
the opensecondlife.org tree. (No sound, obviously)

If anyone's interested in them, I'll have to get permission from my
employer to release them, but once that's done I can put them up on the
'net or something.

Since nothing else in Debian (that I know of) uses these libraries, they
should probably be maintained by the secondlife-client maintainer.

I met a guy who's talking to SDL people about replacing the FMOD
dependancy, and that's going on in the opensecondlife.org tree.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Lukas Fittl <lfittl@fsfe.org>:
Bug#406335. Full text and rfc822 format available.

Information stored:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lukas Fittl <lfittl@fsfe.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #42 received at 406335-quiet@bugs.debian.org (full text, mbox):

From: Lukas Fittl <lfittl@fsfe.org>
To: Paul TBBle Hampson <Paul.Hampson@Pobox.com>, 406335-quiet@bugs.debian.org
Subject: Re: Bug#406335: secondlife-client ITP
Date: Sun, 28 Jan 2007 18:16:55 +0100
[Message part 1 (text/plain, inline)]
Hi Paul,

You apparently seem to have invested a lot more of time than me into
this package and related stuff already, so if you don't mind I would
suggest you taking over this ITP.

Sorry for blocking it the last weeks, lots of other stuff prevented me
from doing much for this package.

Thanks,
Lukas

-- 
Lukas Fittl <lfittl@fsfe.org>
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #47 received at 406335-quiet@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Lukas Fittl <lfittl@fsfe.org>
Cc: 406335-quiet@bugs.debian.org
Subject: Re: Bug#406335: secondlife-client ITP
Date: Sun, 25 Feb 2007 16:23:49 +1100
[Message part 1 (text/plain, inline)]
On Sun, Jan 28, 2007 at 06:16:55PM +0100, Lukas Fittl wrote:
> You apparently seem to have invested a lot more of time than me into
> this package and related stuff already, so if you don't mind I would
> suggest you taking over this ITP.

Weird, I didn't notice this email when it came in, someone pointed me at
it last week.

I'm still waiting for approval from my employers, but I hope next week
to have some progress either way.

I will need a sponsor to upload packages into the archive, but if and
when I get going on this, I'll put up test packages for people to try
in the meantime.

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
On-hiatus Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Pobox.Com

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

License: http://creativecommons.org/licenses/by/2.1/au/
-----------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos.Marado@sonae.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #52 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Daniel Marado Torres <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Re: Bug #406335: secondlife-client ITP
Date: Wed, 07 Mar 2007 16:03:14 +0000
Hi there...

Any news on this? Paul, did you get permission from your employees?

Best regards,
-- 
Marcos Marado <Marcos.Marado@sonae.com>
Sonaecom ISP
$ cat sig.pl
''=~('(?{'.('^)@@*@'^'.[).^`').'"'.('`@@?@~//[*;)@`//)@|'^'-).[`<@@(^^[`.@@[)^').',$/})')
$



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #57 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: control@bugs.debian.org, 406335@bugs.debian.org
Subject: Taking over ITP for Secondlife client
Date: Thu, 8 Mar 2007 23:27:01 +1100
[Message part 1 (text/plain, inline)]
submitter 406335 !
Thankyou

I have received the OK from my employers, with the usual "this is
not an endorsement" and "not to interfere with work", so I'm taking
over this ITP.

I got a version built in late January, so I'll update and package
that one properly. Hopefully some preliminary packages will appear
in a fortnight or so.

I'll be actively seeking a sponsor once I have preliminary packages
done, but if there's a DD floating around interesting in sponsoring,
feel free to let me know beforehand. ^_^

I'll also be ITPing openjpeg, xmlrpc-epi and elfio, which are the
dependancies not yet in Debian but which have compatible licenses.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter from Lukas Fittl <lfittl@fsfe.org> to Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Request was from Paul TBBle Hampson <Paul.Hampson@Pobox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Lukas Fittl <lfittl@fsfe.org>. Full text and rfc822 format available.

Message #64 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Second Life packages
Date: Fri, 16 Mar 2007 18:16:35 +1100
[Message part 1 (text/plain, inline)]
On Wed, Mar 14, 2007 at 12:50:27PM +0100, Rainer Dorsch wrote:
> Am Sonntag, 25. Februar 2007 06:22 schrieben Sie:
>> On Wed, Feb 21, 2007 at 05:01:30PM +0100, Rainer Dorsch wrote:
> >> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=406335

> >> Now, do you have any packages you can share?

>> Not at the moment, I'm still waiting for approval from my employers.

>> Hopefully next week I'll get some definate answers and start seeking
>> sponsors/posting test packages.

> Hi Paul,

> did you make progress in the negociations with your employer? If no, do you 
> have pointers describing
> - how to install a second life client on Linux
> - what are the (hardware/Xorg) prerequisites
> - what are the know deficiencies of the linux version?

Yup, I have approval, described in more detail in the ITP.

I dunno what the prereqs are.

I've built a copy, with a reasonably minimal patch, but it
doesn't log into the servers. I suspect the opensecondlife
tree is behind the main tree, so I might have to have a go
at building the linden tree as well.

CC'd to the bug report, to save me repeating myself.

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
On-hiatus Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Pobox.Com

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

License: http://creativecommons.org/licenses/by/2.1/au/
-----------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Owner changed from Lukas Fittl <lfittl@fsfe.org> to Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Request was from Paul TBBle Hampson <Paul.Hampson@Pobox.com> to control@bugs.debian.org. (Fri, 16 Mar 2007 07:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #71 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org
Subject: Successful build
Date: Mon, 19 Mar 2007 15:13:34 +1100
[Message part 1 (text/plain, inline)]
OK, I've built and connected to the Second Life server using the
latest FirstLook linden slviewer release (1.13.3.59315).

The opensl viewer from openmetaverse.org claimed to be too old to
connect to the server, so for the moment I'll be packaging the
linden version.

Source package will be slviewer, and there'll be an slviewer-artwork
source package as well, since it's a seperate upstream tarball.

Binary packages will be slviewer and slviewer-artwork, the former
depending on the latter. I _suspect_ that if opensl is also packaged,
it'll be able to use the slviewer-artwork, but haven't looked too
closely yet.

Obviously, if someone wants to step up and package opensl, that's great.
If there is such interest, then an entry in the alternatives system
would make sense to me, although that entry'd want to be slviewer, which
means my binary would need a different name. -_- I invite comment upon
this thought. ^_^

However, it runs like a rather lazy and ill-healthed canine on my
laptop (PowerBook G4 1.5Ghz w/r300) so I can't really test it beyond
lagging around the starter island. I should have access to a faster
machine during the week, so I'll try and get some packages put together,
tested, and uploaded somewhere for testing/sponsorship by next weekend.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #76 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: Ubuntu packages
Date: Sun, 25 Mar 2007 14:22:34 +0200
Paul,

just wanted to make sure that you are aware of the ubuntu packages:

http://ubuntu.cafuego.net/dists/edgy-cafuego/secondlife/

(though not sure, if it works on etch)

Thanks,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07032-359190
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #81 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Ubuntu packages
Date: Mon, 26 Mar 2007 00:26:54 +1000
[Message part 1 (text/plain, inline)]
On Sun, Mar 25, 2007 at 02:22:34PM +0200, Rainer Dorsch wrote:
> just wanted to make sure that you are aware of the ubuntu packages:

> http://ubuntu.cafuego.net/dists/edgy-cafuego/secondlife/

Thankyou, I wasn't. However, the Build-Depends suggest that all the
required libraries and whatnot have been internalised into the build,
which is not the direction I intend to take with this package. Once I've
gotten the Build-Dependancies sorted out, I'll give the packaging a look
and see what's useful.

Interestingly, it claims to only support i386 and AMD64 in the .dsc
file...

Hmm. I prolly should add 'blocking' tags to this bug for the
Build-Dependancies' ITPs. I'll do that next chance I get.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #86 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org
Subject: SLViewer status update
Date: Fri, 20 Apr 2007 00:09:53 +1000
[Message part 1 (text/plain, inline)]
Just a quick note, in case anyone's wondering.

I've got the packaging basically done, barring some final fixes to the
hi-res timer classes for non-i386 platforms, and some testing on a
machine that's actually fast enough to run the damn thing.

To give you an idea, my PowerBook G4 1.5Ghz w/r300-class card is
kinda jerky. There's some work being done to optimised OpenJPEG,
I'm waiting to see which parts of that go into the upstream OpenJPEG
though.

However, the major barrier is that the artwork needed for the skin of
the client is released under a CC BY-SA 2.5 license, which is not
DFSG-free. I've emailed the licenses@ email address where the source
code is, but without response as yet.

The CC-BY-SA license doesn't prevent _me_ distributing the software, so
once I have this portability stuff sorted out and a full-speed test run,
I'll put the packages up in my personal webspace for initial criticism.

I also haven't yet run through all the source in the package to confirm
it's properly licensed, but the stuff I _have_ looked at has been fine
so far.

I've packaged 1.14.0.1, which was current last time I looked, but I've
had a busy fortnight so I haven't checked if they've upgrade to 1.14.1.1
on the live grid yet.

(Moving to 1.14.1.1 won't be hard, happily. I've built a test package of
the 1.14.1.1 beta source drop as well.)

For reference, it's almost exactly three hours to build on my laptop,
and the final link command line is over 38.5k.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Blocking bugs of 406335 added: 413986 Request was from Paul TBBle Hampson <Paul.Hampson@Pobox.com> to control@bugs.debian.org. (Sun, 22 Apr 2007 09:39:07 GMT) Full text and rfc822 format available.

Blocking bugs of 406335 added: 413987 Request was from Paul TBBle Hampson <Paul.Hampson@Pobox.com> to control@bugs.debian.org. (Sun, 22 Apr 2007 09:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #95 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Second Life packages
Date: Fri, 4 May 2007 18:53:05 +1000
[Message part 1 (text/plain, inline)]
On Fri, Apr 27, 2007 at 11:06:32PM +0200, Rainer Dorsch wrote:
> Hi Paul,

> just read your comments from last Friday into BTS. Looks like you did a real 
> impressive job. Just looking forward to see the first version of your 
> packages....

Thankyou. Work distracted me for a couple of weeks.

I've upgraded my packages to 1.15.0.2, but there's some files missing
from the upstream tarball (I think... waiting on the mailing list to
confirm) so it doesn't actually run.

The _did_ however fix a DFSG-nonfreeness, so I can use pristine upstream
source tarball for the viewer.

(Not the artwork, it's CC-licensed, no response yet from licensing@...)

Once I get this last set of code changes done (finalising the high-res
timer portability changes) and the copyright audit done, I'll see about
putting the distributable-but-not-DFSG-Free packages somewhere.

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
On-hiatus Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Pobox.Com

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

License: http://creativecommons.org/licenses/by/2.1/au/
-----------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #100 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org
Subject: Preliminary package upload
Date: Mon, 7 May 2007 02:21:19 +1000
[Message part 1 (text/plain, inline)]
I've put preliminary 1.15.0.2 packages up at http://www.tbble.net/debian
as well as openjpeg and xmlrpc-epi pacakges that should be the same as
the ones I've uploaded to httpp://mentors.debian.net/ for sponsorship.

All binaries are PowerPC, but the source is all there so you can rebuild
yourself. (slviewer-artwork doesn't need rebuilding, it's arch: all)

However, they don't currently work. Two directories appear to have been
left out of the 1.15.0.2 release compared to the 1.15.0.0 beta, and I'm
getting a new error that I didn't see with 1.14.0.1, about overrunning
the packet during an ObjectUpdate message.

I'd be interested to know if anyone else sees the latter problem with
either these or their own built 1.15.0.2 client.

To resolve the former, grab lindean/indra/newview/res-sdl and character
and put or link to them in /usr/share/secondlife/

Also, the slviewer-artwork packages are under the CC-BY-SA 2.5 license,
so are not suitable for inclusion in the Debian archive, and since
slviewer depends upon the artwork's presence, it's only suitable for
uploading to contrib right now.

I've got open issues regarding both the packaging problems, but haven't
had a chance to chase them yet (since I think the best way to work out
the licensing thing is to catch Linden's open-source licensing person
in-world, and I can't get in-world at the moment. -_-)

Anyway, enjoy. They ideally should work on any platform you want to
throw at them, but I've only tested PowerPC so far, and upstream
only supports i386 and AMD64 for Linux builds.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #105 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org
Subject: Fixed slviewer-artwork packages uploaded
Date: Mon, 7 May 2007 19:27:13 +1000
[Message part 1 (text/plain, inline)]
Apologies, I've fixed the missing files (oversight on my
part in slvewier-artwork) so if you grabbed the package
before this email, regrab and install the .deb file.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #110 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org
Subject: 1.15.1.3 prerelease packages uploaded
Date: Wed, 16 May 2007 01:44:22 +1000
[Message part 1 (text/plain, inline)]
I've updated by prerelease packages to 1.15.1.3.

I had the chance to test 1.15.0.2 on an AMD64 box, and
it worked fine, so I think the ObjectUpdate issue I'm
having is either PowerPC-specific (ie. endian) or something
is wrong with my build environment.

In other words, once the license on the artwork archive is sorted out
(Linden have acknowledged my query, and are preparing a response) I
think these are nearly ready for upload to Debian.

Same rules apply, I may replace these with rebuilds if I am able to
improve something.

eg. an OpenAL patch has recently been posted, when I have time I'll
see if I can integrate that.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #115 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: Second life packages for etch / i386
Date: Sat, 19 May 2007 18:13:03 +0200
Paul,

thanks for providing the packages. I downloaded the sources and rebuilt the 
packages for etch/i386.

I ignored the dpatch directory 
 http://www.tbble.net/debian/slviewer/dpatch/

Also I noticed a build dependency of slviewer on libcurl4-openssl-dev, but 
etch comes only with libcurl3-openssl-dev. I changed the dependency to 

libcurl4-openssl-dev | libcurl3-openssl-dev

Would you expect problems here, i.e. did you intentionally make that thing 
depend on libcurl4 or just because that was what is in debian unstable?


I noticed that the client is not aware of a quicktime player and wants to 
connect to apple for that. Also external browser windows do not open. Not 
sure, if that is a single API or if every location is encoding this itself.

Also my systems seems to be CPU limited. The CPU is a Penitum 4 / 2.53 GHz, 
which is a few years old. Not sure if a better graphics adapter would do 
offload work from the CPU. Mine is an ATI Technologies Inc Radeon RV100 QY 
[Radeon 7000/VE].

If anybody is interested in the packages, I built, you can grab them from

http://alzental-castle.de/~rd/SL/

Many thanks,
Rainer



-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #120 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second life packages for etch / i386
Date: Sun, 20 May 2007 12:32:06 +1000
[Message part 1 (text/plain, inline)]
On Sat, May 19, 2007 at 06:13:03PM +0200, Rainer Dorsch wrote:
> Paul,

> thanks for providing the packages. I downloaded the sources and rebuilt the 
> packages for etch/i386.

> I ignored the dpatch directory 
>  http://www.tbble.net/debian/slviewer/dpatch/

Yeah, that's just there for interested parties to see what patches I'm
applying for the build.

> Also I noticed a build dependency of slviewer on libcurl4-openssl-dev, but 
> etch comes only with libcurl3-openssl-dev. I changed the dependency to 

> libcurl4-openssl-dev | libcurl3-openssl-dev

> Would you expect problems here, i.e. did you intentionally make that thing 
> depend on libcurl4 or just because that was what is in debian unstable?

I don't expect any problems, I indeed did that because that happened to
be in unstable when I was updating dependancies. Interestingly, using
libcurl4-gnutls-dev segfaulted somewhere inside libcurl on AMD64, while
using libcurl3-gnutls-dev on PowerPC worked OK.

> I noticed that the client is not aware of a quicktime player and wants to 
> connect to apple for that. Also external browser windows do not open. Not 
> sure, if that is a single API or if every location is encoding this itself.

I haven't looked into the external interfaces for stuff yet...

> Also my systems seems to be CPU limited. The CPU is a Penitum 4 / 2.53 GHz, 
> which is a few years old. Not sure if a better graphics adapter would do 
> offload work from the CPU. Mine is an ATI Technologies Inc Radeon RV100 QY 
> [Radeon 7000/VE].

It probably would. My PowerPC 1.5Ghz w/r300 can't run the game very
fast, while the AMD64 I built on (brand-spanking new, good specs which
escape me) played it at full speed.

> If anybody is interested in the packages, I built, you can grab them from

> http://alzental-castle.de/~rd/SL/

Thanks for that. The package is pretty much in working condition barring
the bizareness I'm seeing on PowerPC when processing packets, so this is
now only held up from RFS by the licensing on the artwork package.

Once I get my PowerPC build working, I'll be looking at integrating an
OpenAL patch that was posted to the upstream mailing list last week, to
see how well it works.

And also looking at stuff like the llxul (in-game webpages) and external
browser links and media players.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #125 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: 406335@bugs.debian.org
Subject: Hopefully final preliminary packages uploaded...
Date: Wed, 23 May 2007 07:54:03 +1000
[Message part 1 (text/plain, inline)]
OK, I've put what I hope are the final preliminary packages up
at http://www.tbble.net/debian/

I've tested these on PowerPC and AMD64 successfully, so now the
only thing holding back is the license on the slviewer-artwork
package.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #130 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: A new version of Second Life is available. You must download this update to use the system.
Date: Thu, 31 May 2007 23:25:28 +0200
Paul,

my version

Version: 1.15.1.3-1

is now apparently too old.

For your server

http://www.tbble.net/debian/

I get right now an error:


rd@silverboxy:~/SW.nobackup$ wget -d http://www.tbble.net/debian/
DEBUG output created by Wget 1.10.2 on linux-gnu.

--23:18:47--  http://www.tbble.net/debian/
           => `index.html'
Resolving www.tbble.net... 202.55.154.19
Caching www.tbble.net => 202.55.154.19
Connecting to www.tbble.net|202.55.154.19|:80... connected.
Created socket 3.
Releasing 0x0808e960 (new refcount 1).

---request begin---
GET /debian/ HTTP/1.0
User-Agent: Wget/1.10.2
Accept: */*
Host: www.tbble.net
Connection: Keep-Alive

---request end---
HTTP request sent, awaiting response... Read error (Connection reset by peer) 
in headers.
Closed fd 3
Retrying.

--23:23:22--  http://www.tbble.net/debian/
  (try: 2) => `index.html'
Found www.tbble.net in host_name_addresses_map (0x808e960)
Connecting to www.tbble.net|202.55.154.19|:80... connected.
Created socket 3.
Releasing 0x0808e960 (new refcount 1).

---request begin---
GET /debian/ HTTP/1.0
User-Agent: Wget/1.10.2
Accept: */*
Host: www.tbble.net
Connection: Keep-Alive

---request end---
HTTP request sent, awaiting response...


Thanks,
Rainer
-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #135 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: A new version of Second Life is available. You must download this update to use the system.
Date: Fri, 1 Jun 2007 11:23:03 +1000
[Message part 1 (text/plain, inline)]
On Thu, May 31, 2007 at 11:25:28PM +0200, Rainer Dorsch wrote:
> Paul,

> my version

> Version: 1.15.1.3-1

> is now apparently too old.

> For your server

> http://www.tbble.net/debian/

> I get right now an error:

Blast, looks like server's having issues. I'll get that fixed as
soon as I can. (Might take a little while, it's unresponsive just now)

Also, it looks like I forgot to announce to this bug when I uploaded
the latest build (1.16.0.5-1) to that directory. Sorry. It's been there
for about a week (I think it was within 24 hours of the version bump)

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #140 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: Re: Bug#406335: A new version of Second Life is available. You must download this update to use the system.
Date: Fri, 1 Jun 2007 08:06:00 +0200
Am Freitag, 1. Juni 2007 03:23 schrieb Paul TBBle Hampson:
> On Thu, May 31, 2007 at 11:25:28PM +0200, Rainer Dorsch wrote:
> > Paul,
> >
> > my version
> >
> > Version: 1.15.1.3-1
> >
> > is now apparently too old.
> >
> > For your server
> >
> > http://www.tbble.net/debian/
> >
> > I get right now an error:
>
> Blast, looks like server's having issues. I'll get that fixed as
> soon as I can. (Might take a little while, it's unresponsive just now)
>
> Also, it looks like I forgot to announce to this bug when I uploaded
> the latest build (1.16.0.5-1) to that directory. Sorry. It's been there
> for about a week (I think it was within 24 hours of the version bump)

Paul,

thanks for the quick reply and cc'ing. My subscription to this bug seem not to 
work. 

The server is up again and I am building the new version.

Does it make sense to add this diff to make it compiling out of the box with 
etch as well?

$ diff debian/control.TBBle debian/control
5c5
< Build-Depends: debhelper (>= 5), dpatch (>= 2), libapr1-dev, libexpat1-dev, 
zlib1g-dev, libjpeg62-dev, libopenjpeg-dev, libcurl4-openssl-dev, libssl-dev, 
libaprutil1-dev, libxmlrpc-epi-dev, libgtk2.0-dev, libfreetype6-dev, 
libsdl1.2-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, 
libogg-dev, libvorbis-dev, g++-3.4, flex, bison, scons, libboost-dev, 
libboost-regex-dev


Thanks,
Rainer

---
> Build-Depends: debhelper (>= 5), dpatch (>= 2), libapr1-dev, libexpat1-dev, 
zlib1g-dev, libjpeg62-dev, libopenjpeg-dev, libcurl4-openssl-dev | 
libcurl3-openssl-dev, libssl-dev, libaprutil1-dev, libxmlrpc-epi-dev, 
libgtk2.0-dev, libfreetype6-dev, libsdl1.2-dev, libgl1-mesa-dev | libgl-dev, 
libglu1-mesa-dev | libglu-dev, libogg-dev, libvorbis-dev, g++-3.4, flex, 
bison, scons, libboost-dev, libboost-regex-dev
rd@silverboxy:~/SW.nobackup/SL-1.16/slviewer-1.16.0.5$ 

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #145 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: A new version of Second Life is available. You must download this update to use the system.
Date: Sat, 2 Jun 2007 15:26:05 +1000
[Message part 1 (text/plain, inline)]
On Fri, Jun 01, 2007 at 08:06:00AM +0200, Rainer Dorsch wrote:
> Does it make sense to add this diff to make it compiling out of the box with 
> etch as well?

> $ diff debian/control.TBBle debian/control
> 5c5
> < Build-Depends: debhelper (>= 5), dpatch (>= 2), libapr1-dev, libexpat1-dev, 
> zlib1g-dev, libjpeg62-dev, libopenjpeg-dev, libcurl4-openssl-dev, libssl-dev, 
> libaprutil1-dev, libxmlrpc-epi-dev, libgtk2.0-dev, libfreetype6-dev, 
> libsdl1.2-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, 
> libogg-dev, libvorbis-dev, g++-3.4, flex, bison, scons, libboost-dev, 
> libboost-regex-dev
> ---
> > Build-Depends: debhelper (>= 5), dpatch (>= 2), libapr1-dev, libexpat1-dev, 
> zlib1g-dev, libjpeg62-dev, libopenjpeg-dev, libcurl4-openssl-dev | 
> libcurl3-openssl-dev, libssl-dev, libaprutil1-dev, libxmlrpc-epi-dev, 
> libgtk2.0-dev, libfreetype6-dev, libsdl1.2-dev, libgl1-mesa-dev | libgl-dev, 
> libglu1-mesa-dev | libglu-dev, libogg-dev, libvorbis-dev, g++-3.4, flex, 
> bison, scons, libboost-dev, libboost-regex-dev
> rd@silverboxy:~/SW.nobackup/SL-1.16/slviewer-1.16.0.5$ 

If I'm reading this right, you've just added | lubcurl3-openssl-dev to
the libcurl4-openssl-dev build-dep, right?

It makes sense, and I'll try and remember to include it in my next
upload, thanks.

Hmm. I guess this means my changelog had better start incrementing, so I
can credit where credit is due, etc.

I might also see if it'll build with the default gcc later on tonight.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #150 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: New etch packages rebuilt
Date: Sat, 2 Jun 2007 08:03:30 +0200
I rebuild your packages 1.16.0.5-1 for etch. They are available at

http://alzental-castle.de/~rd/SL/


Thanks,
Rainer
-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #155 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: Re: Bug#406335: A new version of Second Life is available. You must download this update to use the system.
Date: Sat, 2 Jun 2007 08:07:10 +0200
Am Samstag, 2. Juni 2007 07:26 schrieb Paul TBBle Hampson:
> [...]
> If I'm reading this right, you've just added | lubcurl3-openssl-dev to
> the libcurl4-openssl-dev build-dep, right?

Yes, that is the only change.

> I might also see if it'll build with the default gcc later on tonight.

FYI,  when I start slviewer, it tells me that there is again a new version.

Thanks,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #160 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: A new version of Second Life is available. You must download this update to use the system.
Date: Sat, 2 Jun 2007 19:56:14 +1000
[Message part 1 (text/plain, inline)]
On Sat, Jun 02, 2007 at 08:07:10AM +0200, Rainer Dorsch wrote:
> FYI,  when I start slviewer, it tells me that there is again a new version.

Thanks, but there's no newer version on the Source Archive page. [1]

It's an optional update, and I don't see any discussion thereof on
the development mailing list, so I wouldn't worry too much about it.

[1] http://wiki.secondlife.com/wiki/Source_downloads

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #165 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: New etch packages rebuilt
Date: Sat, 2 Jun 2007 19:57:17 +1000
[Message part 1 (text/plain, inline)]
On Sat, Jun 02, 2007 at 08:03:30AM +0200, Rainer Dorsch wrote:
> I rebuild your packages 1.16.0.5-1 for etch. They are available at

> http://alzental-castle.de/~rd/SL/

Brilliant, thanks.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #170 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Re: Bug#406335: New etch packages rebuilt
Date: Mon, 4 Jun 2007 19:25:10 +0100
On Sat, Jun 02, 2007 at 08:03:30AM +0200, Rainer Dorsch wrote:
> I rebuild your packages 1.16.0.5-1 for etch. They are available at
>
> http://alzental-castle.de/~rd/SL/

Tested on etch, works well. 

I get no textures at all, like I'm in the fog. Is this a bug or something 
related with the slviewer-artwork license issues? If so, how's that problem 
status?

-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Torres Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #175 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Torres Marado <Marcos.Marado@sonae.com>
To: <406335@bugs.debian.org>
Subject: Re: Bug#406335: New etch packages rebuilt
Date: Fri, 15 Jun 2007 14:36:50 +0100
Hi there,

Just to let you know that a new version of slviewer is available:
http://wiki.secondlife.com/wiki/Source_downloads#ver_1.17.0.12

The older version cannot connect to SL anymore, so you have to 
package this one...

Paul, do you need any help on those packages?

-- 
Marcos Marado <Marcos.Marado@sonae.com>
Sonaecom ISP
$ perl
''=~('(?{'.('^)@@*@'^'.[).^`').'"'.('`@@?@~//[*;)@`//)@|'^'-).[`<@@(^^[`.@@[)^').',$/})')
^Z




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #180 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: sldev@lists.secondlife.com, Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: [sldev] Debian preliminary packages
Date: Sat, 16 Jun 2007 00:20:35 +1000
[Message part 1 (text/plain, inline)]
On Mon, May 07, 2007 at 09:48:27AM +1000, Paul TBBle Hampson wrote:
> I've just posted the preliminary Debian packaging of
> slviewer, to http://www.tbble.net/debian/

1.17.0.12 packages uploaded, source and PowerPC sid binaries.

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
On-hiatus Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Pobox.com

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

License: http://creativecommons.org/licenses/by/2.1/au/
-----------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #185 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Torres Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: New etch packages rebuilt
Date: Sat, 16 Jun 2007 00:34:58 +1000
[Message part 1 (text/plain, inline)]
On Fri, Jun 15, 2007 at 02:36:50PM +0100, Marcos Torres Marado wrote:
> Just to let you know that a new version of slviewer is available:
> http://wiki.secondlife.com/wiki/Source_downloads#ver_1.17.0.12

> The older version cannot connect to SL anymore, so you have to 
> package this one...

Sorry for the delay, this week was a bit busy, so I wasn't able to
test the build ouput until just now. New packages uploaded.

I actually hoped to have it uploaded 12 hours ago (ie. at the other end
of the workday for me) but the overnight build failed so I had to
fix and restart it.

> Paul, do you need any help on those packages?

I don't _need_ help with the packaging, although I'll take any help
offered, but certainly it'd be good to get builds for platforms other
than PowerPC, or etch backport builds, as Reiner has been so kind as to
do so far. I _could_ produce i386 builds as well as PowerPC, but that
machine's somewhat lower spec'd (about 1/2) compared to my laptop, and
it'll be quicker for people who can run the game to build it themselves
from my source package.

I am open to suggestions as to how best to handle the rather frequent
updates to the client. I really need to track the SL developer blog
more closely, so I'm ready to package a new release, but it doesn't
always come at a time convienient for me.

I do try to upload the source as soon as I know the dpatches apply,
but situations like today happen where a change in the upstream build
system cause the build the fail three hours in, and I'm soundly asleep
and unable to tell anyone that this happened.

Maybe team-based packaging's a good idea? If there's anyone who's
keen to help out, with an eye to being part of a team once we get
this stuff into Debian-proper, post here. Someone able to turn around
a package build in less than three hours (for whichever arch) would
prolly come in handy. ^_^

I'd also be interested in workflow suggestions, with the proviso
that I've recently become enamoured of git. ^_^

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #190 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: Marcos.Marado@sonae.com
Cc: 406335@bugs.debian.org
Subject: Re: [Marcos.Marado@sonae.com: Bug#406335: New etch packages rebuilt]
Date: Fri, 15 Jun 2007 19:43:45 +0200
Marcos,

thanks for testing the packages.

Can you describe in more detail what you mean with you get no textures (or 
even generate a screenshot)? I did not notice a problem, but since I am not 
an experienced second life guy, I might have missed it.

I spin Paul's new packages this weekend for etch.

Regards,
Rainer

PS: Paul, thanks for forwarding the mail, the subscription still does not 
work. I send a report about that to debian-devel....

Am Freitag, 8. Juni 2007 05:14 schrieben Sie:
> You mentioned your sub subscription wasn't working, just in case it
> still isn't, this message came through the other day.
>
> ----- Forwarded message from Marcos Marado <Marcos.Marado@sonae.com> -----
>
> > X-Virus-Scanned: Debian amavisd-new at cbit.net.au
> > X-ASG-Debug-ID: 1180982015-4782002d0000-FAWnAq
> > X-Barracuda-URL: http://202.55.154.13:8000/cgi-bin/mark.cgi
> > X-Barracuda-Connect: cobalt.pobox.com[208.58.1.196]
> > X-Barracuda-Start-Time: 1180982015
> > X-Pobox-Delivery-ID:
> >  <1A89D08A-12CA-11DC-892E-02F151B14255-22607420@cobalt.pobox.com>
> > X-ASG-Orig-Subj: Bug#406335: New etch packages rebuilt
> > Subject: Bug#406335: New etch packages rebuilt
> > Reply-To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
> > Resent-From: Marcos Marado <Marcos.Marado@sonae.com>
> > Resent-To: debian-bugs-dist@lists.debian.org
> > Resent-Cc: <wnpp@debian.org>,
> > 	Paul TBBle Hampson <Paul.Hampson@Pobox.com>
> > Resent-Date: Mon, 04 Jun 2007 18:33:01 +0000
> > Resent-Message-ID:
> > <handler.406335.B406335.11809815476771@bugs.debian.org>
> > X-Debian-PR-Message: report 406335
> > X-Debian-PR-Package: wnpp
> > X-Debian-PR-Keywords:
> > From: Marcos Marado <Marcos.Marado@sonae.com>
> > Organization: Sonaecom
> > To: 406335@bugs.debian.org
> > X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02
> >  (1.212-2003-09-23-exp) on rietz.debian.org
> > X-Spam-Level:
> > X-Spam-Status: No, hits=-4.5 required=4.0 tests=BAYES_10,HAS_BUG_NUMBER
> >  autolearn=no version=2.60-bugs.debian.org_2005_01_02
> > Resent-Sender: Debian BTS <debbugs@bugs.debian.org>
> > Resent-Date: Mon, 04 Jun 2007 18:33:02 +0000
> > X-Barracuda-Virus-Scanned: by Barracuda Spam Firewall at cbit.net.au
> > X-Barracuda-Spam-Score: 0.00
> > X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of
> > TAG_LEVEL=3.5 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=6.0
> > tests=UNPARSEABLE_RELAY X-Barracuda-Spam-Report: Code version 3.1, rules
> > version 3.1.18959 Rule breakdown below
> > 	 pts rule name              description
> > 	---- ----------------------
> > -------------------------------------------------- 0.00 UNPARSEABLE_RELAY
> >      Informational: message has unparseable relay lines
> >
> > On Sat, Jun 02, 2007 at 08:03:30AM +0200, Rainer Dorsch wrote:
> >> I rebuild your packages 1.16.0.5-1 for etch. They are available at
> >>
> >> http://alzental-castle.de/~rd/SL/
> >
> > Tested on etch, works well.
> >
> > I get no textures at all, like I'm in the fog. Is this a bug or something
> > related with the slviewer-artwork license issues? If so, how's that
> > problem status?
> >
> > --
> > Marcos Marado
> > Sonaecom IT
>
> ----- End forwarded message -----

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07032-359190
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #195 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: typo in debian/control
Date: Fri, 15 Jun 2007 23:55:44 +0200
Paul,

there is a typo in debian/control:

dpkg-checkbuilddeps: Unmet build dependencies: libcurl4-openssl-dev | 
lubcurl3-openssl-dev

This change is needed:
lubcurl3 -> libcurl3

Many thanks,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #200 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: typo in debian/control
Date: Sat, 16 Jun 2007 11:29:38 +1000
[Message part 1 (text/plain, inline)]
On Fri, Jun 15, 2007 at 11:55:44PM +0200, Rainer Dorsch wrote:
> Paul,

> there is a typo in debian/control:

> dpkg-checkbuilddeps: Unmet build dependencies: libcurl4-openssl-dev | 
> lubcurl3-openssl-dev

> This change is needed:
> lubcurl3 -> libcurl3

Thanks, fixed.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #205 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Subject: 1.17 etch packages....
Date: Sat, 16 Jun 2007 11:18:36 +0200
...are available here:

http://alzental-castle.de/~rd/SL/

Regards,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Torres Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #210 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Torres Marado <Marcos.Marado@sonae.com>
To: <406335@bugs.debian.org>
Subject: Re: 1.17 etch packages....
Date: Sat, 16 Jun 2007 17:14:44 +0100
Hi there, 

I'm downloading the 1.17 etch packages and will give them a try. 
If the texture issues still arise, I'll upload a screenshot. Anyway, 
when I tested it, I also used cafuego's packages (for Ubuntu) just 
to see if it was a problem there too, but it wasn't...

OK, testing now the new packages. The rendering problem still happens. 
Also, it seems that I stopped being able to teleport to any place... 
That didn't happen with the previous version!

Here's  the screenshot of the rendering problem:
http://beta.zooomr.com/photos/mindboosternoori/2434491/

Paul: I'm not really sure in what can I help, but I'll gladly help 
if I can. For now, the only things I can think of is posting here 
on this bug a comment everytime a new version comes out, and keep 
testing the packages. The only machine I have that could be use 
for helping on this package is an i386 etch, but packages for that 
are already being taken care of (and well) by Rainer... But if there's 
something both of you think that I could help, just tell me.

Also, I would like for you to CC me on issues regarding this bug, 
'cause like Rainer I'm not getting the replies...

Another thing: what about using 
https://wiki.secondlife.com/w/index.php?title=Special:Recentchanges&feed=rss
and parse it though Yahoo! Pipes or something like that to get only the 
recent changes on the "Download Source" page? In that way we could get an 
RSS feed for each new source version of SL... What do you think about it?

-- 
Marcos Marado <Marcos.Marado@sonae.com>
Sonaecom ISP
$ perl
''=~('(?{'.('^)@@*@'^'.[).^`').'"'.('`@@?@~//[*;)@`//)@|'^'-).[`<@@(^^[`.@@[)^').',$/})')
^Z




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #215 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: Marcos Torres Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Sun, 17 Jun 2007 22:46:44 +0200
Hi Marcos,

Am Samstag, 16. Juni 2007 18:14 schrieb Marcos Torres Marado:
> Also, I would like for you to CC me on issues regarding this bug,
> 'cause like Rainer I'm not getting the replies...

I tried again a few days ago and the subscription works now for me.

Your screenshot looks weired, here slviewer works definitely better. Not sure 
what is the best way to debug the problem. But do you know which video 
adapter you have and which driver you use?

Thanks,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #220 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Mon, 18 Jun 2007 20:47:07 +0100
On Sunday 17 June 2007 21:46, Rainer Dorsch wrote:
> Your screenshot looks weired, here slviewer works definitely better. Not
> sure what is the best way to debug the problem. But do you know which video
> adapter you have and which driver you use?

root@lemuria:~# lspci|grep 915
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express 
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML 
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express 
Graphics Controller (rev 03)

The weird thing here is that using Ubuntu's unofficial packages for second 
life the problem doesn't happen (same second life version), so it's not an 
issue with my graphics card... Any ideas on how can I debug this?

BTW, teleporting is working... Maybe it was a connection problem the other 
way.
-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #225 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Cc: Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 23:00:37 +1000
[Message part 1 (text/plain, inline)]
On Mon, Jun 18, 2007 at 08:47:07PM +0100, Marcos Marado wrote:
> On Sunday 17 June 2007 21:46, Rainer Dorsch wrote:
>> Your screenshot looks weired, here slviewer works definitely better. Not
>> sure what is the best way to debug the problem. But do you know which video
>> adapter you have and which driver you use?

> root@lemuria:~# lspci|grep 915
> 00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express 
> Processor to DRAM Controller (rev 03)
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML 
> Express Graphics Controller (rev 03)
> 00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express 
> Graphics Controller (rev 03)

> The weird thing here is that using Ubuntu's unofficial packages for second 
> life the problem doesn't happen (same second life version), so it's not an 
> issue with my graphics card... Any ideas on how can I debug this?

> BTW, teleporting is working... Maybe it was a connection problem the other 
> way.

Are the Etch packages built from the -1 or -2 version of 1.17? The main
change was using the default g++ instead of the g++-3.4 specified by
upstream.

As I understand it, the cafuego packages appear to just be the upstream
binary releases extracted to /opt and then put into a .deb, so they're
built with the non-free libraries, which might make a difference.

(Specifically, it could be an openJPEG problem... I also uploaded
openJPEG 1.2 which produces libopenjpeg2, you may not have noticed...)

(I haven't looked at the screenshot, mind you...)

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #230 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org
Cc: Marcos Marado <Marcos.Marado@sonae.com>
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 17:55:27 +0200
Am Dienstag, 19. Juni 2007 15:00 schrieben Sie:
> Are the Etch packages built from the -1 or -2 version of 1.17? The main
> change was using the default g++ instead of the g++-3.4 specified by
> upstream.

-1

> As I understand it, the cafuego packages appear to just be the upstream
> binary releases extracted to /opt and then put into a .deb, so they're
> built with the non-free libraries, which might make a difference.
>
> (Specifically, it could be an openJPEG problem... I also uploaded
> openJPEG 1.2 which produces libopenjpeg2, you may not have noticed...)

I updated the openjpeg packages, I do not know though if Marcos picked them.

Thanks,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07032-359190
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #235 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 17:11:56 +0100
On Tuesday 19 June 2007 16:55, Rainer Dorsch wrote:
> Am Dienstag, 19. Juni 2007 15:00 schrieben Sie:
> > Are the Etch packages built from the -1 or -2 version of 1.17? The main
> > change was using the default g++ instead of the g++-3.4 specified by
> > upstream.
>
> -1

Can you please package -2 to see if the problem still happens?

> > As I understand it, the cafuego packages appear to just be the upstream
> > binary releases extracted to /opt and then put into a .deb, so they're
> > built with the non-free libraries, which might make a difference.
> >
> > (Specifically, it could be an openJPEG problem... I also uploaded
> > openJPEG 1.2 which produces libopenjpeg2, you may not have noticed...)
>
> I updated the openjpeg packages, I do not know though if Marcos picked
> them.

Yes, I did.

-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #240 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org, Marcos Marado <Marcos.Marado@sonae.com>
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 19:00:46 +0200
Am Dienstag, 19. Juni 2007 18:11 schrieb Marcos Marado:
> On Tuesday 19 June 2007 16:55, Rainer Dorsch wrote:
> > Am Dienstag, 19. Juni 2007 15:00 schrieben Sie:
> > > Are the Etch packages built from the -1 or -2 version of 1.17? The main
> > > change was using the default g++ instead of the g++-3.4 specified by
> > > upstream.
> >
> > -1
>
> Can you please package -2 to see if the problem still happens?

Sure, I can. But as I understood Paul, this is even further away from the 
upstream compile (Ubuntu packages), because they recommend the gcc-3.4.


> > > As I understand it, the cafuego packages appear to just be the upstream
> > > binary releases extracted to /opt and then put into a .deb, so they're
> > > built with the non-free libraries, which might make a difference.
> > >
> > > (Specifically, it could be an openJPEG problem... I also uploaded
> > > openJPEG 1.2 which produces libopenjpeg2, you may not have noticed...)
> >
> > I updated the openjpeg packages, I do not know though if Marcos picked
> > them.
>
> Yes, I did.

Hmmm.....try to summarize

1. The etch packages work for me not for you -> points to a problem specific 
to your machine

2. The ubuntu packages (which are the distributed binaries) work for you -> 
points to the Debian packages


Paul,

do you know if any of the dependencies allow several alternatives?

E.g. if java is required Marco could run a sun JDK, I could run gcj or 
something like that.

Marcos,

could you try to run reportbug on slviewer to see the version of your 
installed dependencies?

Thanks,
Rainer


-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07032-359190
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #245 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 18:19:15 +0100
On Tuesday 19 June 2007 18:00, Rainer Dorsch wrote:
> Am Dienstag, 19. Juni 2007 18:11 schrieb Marcos Marado:
> > On Tuesday 19 June 2007 16:55, Rainer Dorsch wrote:
> > > Am Dienstag, 19. Juni 2007 15:00 schrieben Sie:
> > > > Are the Etch packages built from the -1 or -2 version of 1.17? The
> > > > main change was using the default g++ instead of the g++-3.4
> > > > specified by upstream.
> > >
> > > -1
> >
> > Can you please package -2 to see if the problem still happens?
>
> Sure, I can. But as I understood Paul, this is even further away from the
> upstream compile (Ubuntu packages), because they recommend the gcc-3.4.

Yes, you're right... Paul, can you please explain why did you change that?

> Marcos,
>
> could you try to run reportbug on slviewer to see the version of your
> installed dependencies?

There it goes:

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages slviewer depends on:
ii  libapr1                   1.2.7-8.2      The Apache Portable Runtime 
Librar
ii  libaprutil1               1.2.7+dfsg-2   The Apache Portable Runtime 
Utilit
ii  libatk1.0-0               1.12.4-3       The ATK accessibility toolkit
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libcairo2                 1.2.4-4        The Cairo 2D vector graphics 
libra
ii  libcurl3                  7.15.5-1       Multi-protocol file transfer 
libra
ii  libexpat1                 1.95.8-3.4     XML parsing C library - runtime 
li
ii  libfontconfig1            2.4.2-1.2      generic font configuration 
library
ii  libfreetype6              2.2.1-5+etch1  FreeType 2 font engine, shared 
lib
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libgl1-mesa-glx [libgl1]  6.5.1-0.6      A free implementation of the 
OpenG
ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
ii  libglu1-mesa [libglu1]    6.5.1-0.6      The OpenGL utility library (GLU)
ii  libgoogle-perftools0      0.8-5          libraries for CPU and heap 
analysi
ii  libgtk2.0-0               2.8.20-7       The GTK+ graphical user interface 
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libogg0                   1.1.3-2        Ogg Bitstream Library
ii  libopenjpeg2              1.2-1          JPEG 2000 image compression codec 
ii  libpango1.0-0             1.14.8-5       Layout and rendering of 
internatio
ii  libsdl1.2debian           1.2.11-8       Simple DirectMedia Layer
ii  libssl0.9.8               0.9.8c-4       SSL shared libraries
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libvorbis0a               1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libvorbisenc2             1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libvorbisfile3            1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxcursor1               1.1.7-4        X cursor management library
ii  libxext6                  1:1.0.1-2      X11 miscellaneous extension 
librar
ii  libxfixes3                1:4.0.1-5      X11 miscellaneous 'fixes' 
extensio
ii  libxi6                    1:1.0.1-4      X11 Input extension library
ii  libxinerama1              1:1.0.1-4.1    X11 Xinerama extension library
ii  libxmlrpc-epi0            0.51-1         XML-RPC request 
serialisation/dese
ii  libxrandr2                2:1.1.0.2-5    X11 RandR extension library
ii  libxrender1               1:0.9.1-3      X Rendering Extension client 
libra
ii  slviewer-artwork          1.17.0.12-1    skin textures and misc data for 
th
ii  slviewer-data             1.17.0.12-2    Datafiles for slviewer
ii  ttf-dejavu                2.15-1         Vera font family derivate with 
add
ii  ttf-kochi-mincho          1.0.20030809-4 Kochi Subst Mincho Japanese 
TrueTy
ii  zlib1g                    1:1.2.3-13     compression library - runtime

slviewer recommends no packages.

-- no debconf information

Feel free to ask further questions...
-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #250 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: 406335@bugs.debian.org, Marcos Marado <Marcos.Marado@sonae.com>
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 20:59:32 +0200
Am Dienstag, 19. Juni 2007 19:19 schrieb Marcos Marado:
> On Tuesday 19 June 2007 18:00, Rainer Dorsch wrote:
> > Am Dienstag, 19. Juni 2007 18:11 schrieb Marcos Marado:
> > > On Tuesday 19 June 2007 16:55, Rainer Dorsch wrote:
> > > > Am Dienstag, 19. Juni 2007 15:00 schrieben Sie:
> > > > > Are the Etch packages built from the -1 or -2 version of 1.17? The
> > > > > main change was using the default g++ instead of the g++-3.4
> > > > > specified by upstream.
> > > >
> > > > -1
> > >
> > > Can you please package -2 to see if the problem still happens?
> >
> > Sure, I can. But as I understood Paul, this is even further away from the
> > upstream compile (Ubuntu packages), because they recommend the gcc-3.4.
>
> Yes, you're right... Paul, can you please explain why did you change that?
>
> > Marcos,
> >
> > could you try to run reportbug on slviewer to see the version of your
> > installed dependencies?
>
> There it goes:
>
> -- System Information:
> Debian Release: 4.0
>   APT prefers stable
>   APT policy: (500, 'stable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18-4-686
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
>
> Versions of packages slviewer depends on:
> ii  libapr1                   1.2.7-8.2      The Apache Portable Runtime
> Librar
> ii  libaprutil1               1.2.7+dfsg-2   The Apache Portable Runtime
> Utilit
> ii  libatk1.0-0               1.12.4-3       The ATK accessibility toolkit
> ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared
> libraries ii  libcairo2                 1.2.4-4        The Cairo 2D vector
> graphics libra
> ii  libcurl3                  7.15.5-1       Multi-protocol file transfer
> libra
> ii  libexpat1                 1.95.8-3.4     XML parsing C library -
> runtime li
> ii  libfontconfig1            2.4.2-1.2      generic font configuration
> library
> ii  libfreetype6              2.2.1-5+etch1  FreeType 2 font engine, shared
> lib
> ii  libgcc1                   1:4.1.1-21     GCC support library
> ii  libgl1-mesa-glx [libgl1]  6.5.1-0.6      A free implementation of the
> OpenG
> ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
> ii  libglu1-mesa [libglu1]    6.5.1-0.6      The OpenGL utility library
> (GLU) ii  libgoogle-perftools0      0.8-5          libraries for CPU and
> heap analysi
> ii  libgtk2.0-0               2.8.20-7       The GTK+ graphical user
> interface ii  libjpeg62                 6b-13          The Independent JPEG
> Group's JPEG ii  libogg0                   1.1.3-2        Ogg Bitstream
> Library ii  libopenjpeg2              1.2-1          JPEG 2000 image
> compression codec ii  libpango1.0-0             1.14.8-5       Layout and
> rendering of internatio
> ii  libsdl1.2debian           1.2.11-8       Simple DirectMedia Layer
> ii  libssl0.9.8               0.9.8c-4       SSL shared libraries
> ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library
> v3 ii  libvorbis0a               1.1.2.dfsg-1.2 The Vorbis General Audio
> Compressi
> ii  libvorbisenc2             1.1.2.dfsg-1.2 The Vorbis General Audio
> Compressi
> ii  libvorbisfile3            1.1.2.dfsg-1.2 The Vorbis General Audio
> Compressi
> ii  libx11-6                  2:1.0.3-7      X11 client-side library
> ii  libxcursor1               1.1.7-4        X cursor management library
> ii  libxext6                  1:1.0.1-2      X11 miscellaneous extension
> librar
> ii  libxfixes3                1:4.0.1-5      X11 miscellaneous 'fixes'
> extensio
> ii  libxi6                    1:1.0.1-4      X11 Input extension library
> ii  libxinerama1              1:1.0.1-4.1    X11 Xinerama extension library
> ii  libxmlrpc-epi0            0.51-1         XML-RPC request
> serialisation/dese
> ii  libxrandr2                2:1.1.0.2-5    X11 RandR extension library
> ii  libxrender1               1:0.9.1-3      X Rendering Extension client
> libra
> ii  slviewer-artwork          1.17.0.12-1    skin textures and misc data
> for th
> ii  slviewer-data             1.17.0.12-2    Datafiles for slviewer
> ii  ttf-dejavu                2.15-1         Vera font family derivate with
> add
> ii  ttf-kochi-mincho          1.0.20030809-4 Kochi Subst Mincho Japanese
> TrueTy
> ii  zlib1g                    1:1.2.3-13     compression library - runtime
>
> slviewer recommends no packages.
>
> -- no debconf information

Here are my data, they are pretty much the same. The only small difference I 
notices is, you have

> ii  slviewer-artwork          1.17.0.12-1    skin textures and misc data
> for th
> ii  slviewer-data             1.17.0.12-2    Datafiles for slviewer

slightly different version sofr slviewer-data. That is architecture 
independent, maybe you grapped that from Paul's place? But I do not think 
that this makes a difference.

The I noticed that we both depend on

ii  libgcc1                   1:4.1.1-21     GCC support library

I am surprised about the verison, I thought I compiled with gcc-3.4 (?).



-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (600, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages slviewer depends on:
ii  libapr1                   1.2.7-8.2      The Apache Portable Runtime 
Librar
ii  libaprutil1               1.2.7+dfsg-2   The Apache Portable Runtime 
Utilit
ii  libatk1.0-0               1.12.4-3       The ATK accessibility toolkit
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libcairo2                 1.2.4-4        The Cairo 2D vector graphics 
libra
ii  libcurl3                  7.15.5-1       Multi-protocol file transfer 
libra
ii  libexpat1                 1.95.8-3.4     XML parsing C library - runtime 
li
ii  libfontconfig1            2.4.2-1.2      generic font configuration 
library
ii  libfreetype6              2.2.1-5+etch1  FreeType 2 font engine, shared 
lib
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libgl1-mesa-glx [libgl1]  6.5.1-0.6      A free implementation of the 
OpenG
ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
ii  libglu1-mesa [libglu1]    6.5.1-0.6      The OpenGL utility library (GLU)
ii  libgoogle-perftools0      0.8-5          libraries for CPU and heap 
analysi
ii  libgtk2.0-0               2.8.20-7       The GTK+ graphical user interface
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG
ii  libogg0                   1.1.3-2        Ogg Bitstream Library
ii  libopenjpeg2              1.2-1          JPEG 2000 image compression codec
ii  libpango1.0-0             1.14.8-5       Layout and rendering of 
internatio
ii  libsdl1.2debian           1.2.11-8       Simple DirectMedia Layer
ii  libssl0.9.8               0.9.8c-4       SSL shared libraries
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libvorbis0a               1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libvorbisenc2             1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libvorbisfile3            1.1.2.dfsg-1.2 The Vorbis General Audio 
Compressi
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxcursor1               1.1.7-4        X cursor management library

>
> Feel free to ask further questions...

Paul, do you have an idea where the difference could come from?

Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #255 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Tue, 19 Jun 2007 20:05:10 +0100
On Tuesday 19 June 2007 19:59, Rainer Dorsch wrote:
> Here are my data, they are pretty much the same. The only small difference
> I notices is, you have
>
> > ii  slviewer-artwork          1.17.0.12-1    skin textures and misc data
> > for th
> > ii  slviewer-data             1.17.0.12-2    Datafiles for slviewer
>
> slightly different version sofr slviewer-data. That is architecture
> independent, maybe you grapped that from Paul's place? But I do not think
> that this makes a difference.

Erm, by bad here. The screenshot was taken with your packages and 
slviewer-data. Between that and now I installed Paul's slviewer-data just to 
make sure it wasn't a slviewer-data issue or something...

> The I noticed that we both depend on
>
> ii  libgcc1                   1:4.1.1-21     GCC support library
>
> I am surprised about the verison, I thought I compiled with gcc-3.4 (?).

Can you double-check that?
-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #260 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Cc: Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Wed, 20 Jun 2007 21:50:48 +1000
[Message part 1 (text/plain, inline)]
On Tue, Jun 19, 2007 at 06:19:15PM +0100, Marcos Marado wrote:
> On Tuesday 19 June 2007 18:00, Rainer Dorsch wrote:
>> Am Dienstag, 19. Juni 2007 18:11 schrieb Marcos Marado:
> >> On Tuesday 19 June 2007 16:55, Rainer Dorsch wrote:
> > >> Am Dienstag, 19. Juni 2007 15:00 schrieben Sie:
> > > >> Are the Etch packages built from the -1 or -2 version of 1.17? The
> > > >> main change was using the default g++ instead of the g++-3.4
> > > >> specified by upstream.

> > >> -1

> >> Can you please package -2 to see if the problem still happens?

>> Sure, I can. But as I understood Paul, this is even further away from the
>> upstream compile (Ubuntu packages), because they recommend the gcc-3.4.

> Yes, you're right... Paul, can you please explain why did you change that?

Mainly because I'd had some feedback that gcc-4 would build it fine, and
I was hoping it was going to be a faster build.

I've not seen the texture problem you're describing with either build
though, so I'm at a bit of a loss.

To confirm the results of build-alternatives, simply comparing the
dependancies of the resulting binary debs should show up any
differences in the selected alternatives.

eg. dpkg-deb -I slviewer_*.deb | grep Depends

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #265 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org, Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: 1.17 etch packages....
Date: Wed, 20 Jun 2007 16:16:24 +0100
On Wednesday 20 June 2007 12:50, Paul TBBle Hampson wrote:
> I've not seen the texture problem you're describing with either build
> though, so I'm at a bit of a loss.

Damn, so we have no clue on what's happening here? Do you remember anything 
else I can test?
-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #270 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Second Life new version
Date: Wed, 4 Jul 2007 17:53:34 +0100
Just a heads up,

A new version is out there:
http://wiki.secondlife.com/wiki/Source_downloads#ver_1.17.2.0

-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #275 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Tue, 10 Jul 2007 00:35:40 +1000
[Message part 1 (text/plain, inline)]
On Wed, Jul 04, 2007 at 05:53:34PM +0100, Marcos Marado wrote:
> Just a heads up,

> A new version is out there:
> http://wiki.secondlife.com/wiki/Source_downloads#ver_1.17.2.0

Yeah, sorry about that.

Given the 1.17 updates are optional, I'll just build 1.18 when it
releases (tomorrow, if I understand correctly) unless anyone's
aware of a specific fix in 1.17 series that's outstanding?

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #280 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 9 Jul 2007 15:39:57 +0100
On Monday 09 July 2007 15:35, Paul TBBle Hampson wrote:
> On Wed, Jul 04, 2007 at 05:53:34PM +0100, Marcos Marado wrote:
> > Just a heads up,
> >
> > A new version is out there:
> > http://wiki.secondlife.com/wiki/Source_downloads#ver_1.17.2.0
>
> Yeah, sorry about that.

No problem, I was just trying to help.

> Given the 1.17 updates are optional, I'll just build 1.18 when it
> releases (tomorrow, if I understand correctly) unless anyone's
> aware of a specific fix in 1.17 series that's outstanding?

Well, I'm curious to know if it fixes my graphics issues...
-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #285 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Fri, 13 Jul 2007 09:37:40 +0100
On Monday 09 July 2007 15:35, Paul TBBle Hampson wrote:
> Given the 1.17 updates are optional, I'll just build 1.18 when it
> releases (tomorrow, if I understand correctly) unless anyone's
> aware of a specific fix in 1.17 series that's outstanding?

Just a heads up:
1.18 is out: http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.0.6

-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #290 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Sat, 14 Jul 2007 20:25:22 +1000
[Message part 1 (text/plain, inline)]
On Fri, Jul 13, 2007 at 09:37:40AM +0100, Marcos Marado wrote:
> On Monday 09 July 2007 15:35, Paul TBBle Hampson wrote:
>> Given the 1.17 updates are optional, I'll just build 1.18 when it
>> releases (tomorrow, if I understand correctly) unless anyone's
>> aware of a specific fix in 1.17 series that's outstanding?

> Just a heads up:
> 1.18 is out: http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.0.6

Thanks.

I've had to redo a few of my dpatches due to changes in the buildsystem
to use pkgconfig (although not the way I was using it), and now it
builds but the final link fails looking for llresolv6 (See VWR-1598 [1])

I am as yet unsure how much work replacing llresolv6 will be, but I
should have a build and source package uploaded to [2] in the next day.

If I read the release notes correctly, this should be the last mandatory
update of the viewer, which takes a bit of pressure off me to get builds
up in a timely manner. ^_^

The artwork package is already up at [3].

[1] http://jira.secondlife.com/browse/VWR-1598
[2] http://www.tbble.net/debian/slviewer/
[3] http://www.tbble.net/debian/slviewer-artwork/

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #295 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 23 Jul 2007 01:31:34 +1000
[Message part 1 (text/plain, inline)]
On Fri, Jul 13, 2007 at 09:37:40AM +0100, Marcos Marado wrote:
> On Monday 09 July 2007 15:35, Paul TBBle Hampson wrote:
>> Given the 1.17 updates are optional, I'll just build 1.18 when it
>> releases (tomorrow, if I understand correctly) unless anyone's
>> aware of a specific fix in 1.17 series that's outstanding?

> Just a heads up:
> 1.18 is out: http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.0.6

Sorry for the delay. Build-system changes and then an upstream
discussion about some subsequent changes I was hoping to track delayed
this longer than neccessary.

I've slightly forked from what I understand upstream is planning to do
with the build-system, but I think for a Debian package, what I've done
is more appropriate. It certainly seems to have taken my build-time from
3 hours to 1 hour 50 minutes, and subjectively the client runs faster,
although I've not compared a full static 1.18 build.

http://www.tbble.net/debian/slviewer/
http://www.tbble.net/debian/slviewer-artwork/

Of course, build-system changes mean risk of failure on arches other
than PowerPC. ^_^

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #300 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Sun, 22 Jul 2007 22:30:51 +0200
Paul,

thanks for the update. I compiled the package for etch again. 

I did one minor (?) change:

To avoid:

g++ -o 
lib_release_client/i686-linux/libllmessage.so --no-keep-memory --reduce-memory-overheads -shared /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llassetstorage.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llblowfishcipher.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llbuffer.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llbufferstream.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llcachename.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llchainio.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llcircuit.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llclassifiedflags.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llcurl.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lldatapacker.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lldispatcher.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llfiltersd2xmlrpc.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llhost.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llhttpassetstorage.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llhttpclient.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llhttpnode.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llhttpsender.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llinstantmessage.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lliobuffer.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lliohttpserver.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lliopipe.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lliosocket.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llioutil.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lllogtextmessage.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmail.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmessagebuilder.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmessageconfig.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmessagereader.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmessagetemplate.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmessagetemplateparser.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmessagethrottle.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llmime.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llnamevalue.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llnullcipher.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llpacketack.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llpacketbuffer.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llpacketring.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llpartdata.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llpumpio.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llsdappservices.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llsdhttpserver.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llsdmessagereader.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llsdmessagebuilder.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llsdrpcclient.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llsdrpcserver.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llservice.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llservicebuilder.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltemplatemessagebuilder.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltemplatemessagereader.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llthrottle.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltransfermanager.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltransfersourceasset.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltransfersourcefile.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltransfertargetfile.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lltransfertargetvfile.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llurlrequest.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/lluseroperation.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llxfer.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llxfer_file.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llxfermanager.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llxfer_mem.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llxfer_vfile.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/llxorcipher.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/message.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/message_prehash.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/message_string_table.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/net.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/network.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/partsyspacket.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/patch_code.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/patch_dct.os /tmp/rd/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/indra/i686-linux-client-release/llmessage/patch_idct.os -Llib_release_client/i686-linux -L/home/rd/SW.nobackup/SL-1.18/slviewer-1.18.0.6/libraries/i686-linux/lib_release_client -lllcommon -lllmath -lllvfs -lboost_regex-mt
/usr/bin/ld: cannot find -lboost_regex-mt

I changed debian/patches/49_shared_libraries_are_good.dpatch

boost_regex-mt was replaced by boost_regex

Do you know what implications this has?


I upload the binaries for etch to

http://www.alzental-castle.de/~rd/SL/

The upload is in progress right now, be careful to avoid downloading partial 
packages:

rd@silverboxy:~/SW.nobackup/SL-1.18$ md5sum *.deb
4a91f0c8afcdc41371df912f678a0a1b  slviewer_1.18.0.6-1_i386.deb
57c282b19d9a33d7205ae25c90eed0a6  slviewer-artwork_1.18.0.6-1_all.deb
2ca6722c1540de7cd7c30f054d2ea174  slviewer-data_1.18.0.6-1_all.deb
c182ce2ae703b1c4131d504eeea40329  slviewer-dbg_1.18.0.6-1_i386.deb
rd@silverboxy:~/SW.nobackup/SL-1.18$

Regards,
Rainer

Am Sonntag, 22. Juli 2007 17:31 schrieb Paul TBBle Hampson:
> On Fri, Jul 13, 2007 at 09:37:40AM +0100, Marcos Marado wrote:
> > On Monday 09 July 2007 15:35, Paul TBBle Hampson wrote:
> >> Given the 1.17 updates are optional, I'll just build 1.18 when it
> >> releases (tomorrow, if I understand correctly) unless anyone's
> >> aware of a specific fix in 1.17 series that's outstanding?
> >
> > Just a heads up:
> > 1.18 is out:
> > http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.0.6
>
> Sorry for the delay. Build-system changes and then an upstream
> discussion about some subsequent changes I was hoping to track delayed
> this longer than neccessary.
>
> I've slightly forked from what I understand upstream is planning to do
> with the build-system, but I think for a Debian package, what I've done
> is more appropriate. It certainly seems to have taken my build-time from
> 3 hours to 1 hour 50 minutes, and subjectively the client runs faster,
> although I've not compared a full static 1.18 build.
>
> http://www.tbble.net/debian/slviewer/
> http://www.tbble.net/debian/slviewer-artwork/
>
> Of course, build-system changes mean risk of failure on arches other
> than PowerPC. ^_^

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #305 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Rainer Dorsch <rdorsch@web.de>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 23 Jul 2007 10:20:10 +1000
[Message part 1 (text/plain, inline)]
On Sun, Jul 22, 2007 at 10:30:51PM +0200, Rainer Dorsch wrote:
> Paul,

> thanks for the update. I compiled the package for etch again. 

> I did one minor (?) change:

> To avoid:

> g++ -o 
[trim] ^_^
> /usr/bin/ld: cannot find -lboost_regex-mt

> I changed debian/patches/49_shared_libraries_are_good.dpatch

> boost_regex-mt was replaced by boost_regex

> Do you know what implications this has?

I expect none, the library prolly split into single-thread and
multi-thread builds post-etch.

There's no /usr/lib/libboost_regex.so in Sid, unless I missed it...

I guess this will just have to live as an etch-specific change, I
don't see any good way of dealing with this automatically.

> http://www.alzental-castle.de/~rd/SL/

> The upload is in progress right now, be careful to avoid downloading partial 
> packages:

> rd@silverboxy:~/SW.nobackup/SL-1.18$ md5sum *.deb
> 4a91f0c8afcdc41371df912f678a0a1b  slviewer_1.18.0.6-1_i386.deb
> 57c282b19d9a33d7205ae25c90eed0a6  slviewer-artwork_1.18.0.6-1_all.deb
> 2ca6722c1540de7cd7c30f054d2ea174  slviewer-data_1.18.0.6-1_all.deb
> c182ce2ae703b1c4131d504eeea40329  slviewer-dbg_1.18.0.6-1_i386.deb
> rd@silverboxy:~/SW.nobackup/SL-1.18$

Terrific, thanks for that.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #310 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: slviewer_1.18.0.6-1_i386.deb
Date: Mon, 23 Jul 2007 21:03:54 +0100
Tested, and it works. The bad news is that my problem with graphics still 
happens... 
-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #315 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 23 Jul 2007 22:30:23 +0200
Am Montag, 23. Juli 2007 02:20 schrieben Sie:
> I guess this will just have to live as an etch-specific change, I
> don't see any good way of dealing with this automatically.

I was hoping that you have a good idea here. But nevermind, this is an easy to 
remember change.

Thanks,
Rainer

-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #320 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 6 Aug 2007 19:59:04 +0100
Just a heads up:
1.18.1 is out: http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.1.2

This is an optional update, so you might not want to go through the process of 
updating the packages, even if I would like for you to do that ;-)

Best regards,
-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #325 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Thu, 9 Aug 2007 00:18:38 +1000
[Message part 1 (text/plain, inline)]
On Mon, Aug 06, 2007 at 07:59:04PM +0100, Marcos Marado wrote:
> Just a heads up:
> 1.18.1 is out: http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.1.2

> This is an optional update, so you might not want to go through the process of 
> updating the packages, even if I would like for you to do that ;-)

With luck, they'll _all_ be optional updates from here on out.

I actually started preparing packges (the art package is already
uploaded) but they've managed to break the build system on
non-x86/non-AMD64 upstream, and I'm hoping to get some idea of how
they're going to fix it before I go ahead and implement a fix of my own.

I've also been a bit lax, since there was a huge amount of negative
feedback on the release notes announcement blog entry, and I was holding
back a bit to see if there was going to be any kind of quick response to
that feedback.

If we do end up having the same problems, people can always roll back to
1.18.0, thankfully. ^_^

I can't promise anything before the weekend, things have gone a little
hectic here this week.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #330 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Sat, 18 Aug 2007 17:18:28 +1000
[Message part 1 (text/plain, inline)]
On Mon, Aug 06, 2007 at 07:59:04PM +0100, Marcos Marado wrote:
> 1.18.1 is out: http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.1.2

I've uploaded 1.18.1.2 packages, however I have no idea if it will
build on i386 or amd64, as I've got a patch in there which changes the
way compiler flags are put together compared to upstream (which also
changed since 1.18.0.6, hence the patch)

I've been sitting on these for a week, hoping the upstream mailing list
would test the patch for me, but so far the only responses I've had have
been along the lines that making it possible to disable autodetect is
bad, or good.

So let me know if it fails to build. ^_^

http://www.tbble.net/debian/slviewer/

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #335 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 20 Aug 2007 12:25:41 +0100
On Saturday 18 August 2007 08:18, Paul TBBle Hampson wrote:
> I've uploaded 1.18.1.2 packages, however I have no idea if it will
> build on i386 or amd64, as I've got a patch in there which changes the
> way compiler flags are put together compared to upstream (which also
> changed since 1.18.0.6, hence the patch)

Thank you.

Rainer: are you going to keep doing i386 etch packages and test this for Paul, 
or do you want me to try doing that?

-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rainer Dorsch <rdorsch@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #340 received at 406335@bugs.debian.org (full text, mbox):

From: Rainer Dorsch <rdorsch@web.de>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 20 Aug 2007 14:41:44 +0200
Am Montag, 20. August 2007 13:25 schrieb Marcos Marado:
> On Saturday 18 August 2007 08:18, Paul TBBle Hampson wrote:
> > I've uploaded 1.18.1.2 packages, however I have no idea if it will
> > build on i386 or amd64, as I've got a patch in there which changes the
> > way compiler flags are put together compared to upstream (which also
> > changed since 1.18.0.6, hence the patch)
>
> Thank you.
>
> Rainer: are you going to keep doing i386 etch packages and test this for
> Paul, or do you want me to try doing that?
>

Marcos,

I am just back from vacation and have a backlog of work. So I would probably 
not get started this week.

Please go ahead and give the i386 build a try.

Many thanks,
Rainer



-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07032-359190
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E
Full GPG key: http://pgp.mit.edu/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #345 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Rainer Dorsch <rdorsch@web.de>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 20 Aug 2007 20:05:48 +0100
On Monday 20 August 2007 13:41, Rainer Dorsch wrote:
> Am Montag, 20. August 2007 13:25 schrieb Marcos Marado:
> > On Saturday 18 August 2007 08:18, Paul TBBle Hampson wrote:
> > > I've uploaded 1.18.1.2 packages, however I have no idea if it will
> > > build on i386 or amd64, as I've got a patch in there which changes the
> > > way compiler flags are put together compared to upstream (which also
> > > changed since 1.18.0.6, hence the patch)
> >
> > Thank you.
> >
> > Rainer: are you going to keep doing i386 etch packages and test this for
> > Paul, or do you want me to try doing that?
>
> Marcos,
>
> I am just back from vacation and have a backlog of work. So I would
> probably not get started this week.
>
> Please go ahead and give the i386 build a try.

Looking to SConstruct:

opts.AddOptions(
    EnumOption('BUILD', 'Set build type', 'releasefordownload',
        
allowed_values=('debug', 'release', 'releasenoopt', 'releasefordownload')),
    EnumOption('ARCH', 'Set architecture', 'i686',
        allowed_values=('i686', 'powerpc', 'x86_64')),
    EnumOption('BTARGET', 'Set build target', 'server',
        allowed_values=('client', 'server', 'all')),
    BoolOption('DISTCC', 'Enabled distcc', True),
    BoolOption('MOZLIB', 'Enabled llmozlib/mozilla support', True),
    BoolOption('FMOD', 'Enabled FMOD audio support', True),
    BoolOption('GSTREAMER', 'Enabled GStreamer support', True),
    BoolOption('COLORGCC', 'Enabled colorgcc', True),
    EnumOption('GRID', 'Client package\'s default grid', 'default',
        
allowed_values=('default', 'aditi', 'agni', 'dmz', 'durga', 'firstlook', 'ganga', 'shakti', 'siva', 'soma', 'uma', 'vaak')),
    BoolOption('ELFIO', 'Enabled enhanced backtraces with libELFIO symbol 
extraction support', True),
    BoolOption('STANDALONE', 'Build using system packages (implies 
OPENSOURCE)', False),
    BoolOption('OPENSOURCE', 'Build using only non-proprietary dependencies', 
True), # OPENSOURCE: do not edit this line
    BoolOption('VECTORIZE', 'Enable vectorized routines (SIMD instruction sets 
eg. SSE, Altivec) (requires STANDALONE)', True),
)

So, STANDALONE is False, but VECTORIZE (at True) needs STANDALONE... What's 
wrong here? 

-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #350 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Cc: Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: Second Life new version
Date: Tue, 21 Aug 2007 09:07:27 +1000
[Message part 1 (text/plain, inline)]
On Mon, Aug 20, 2007 at 08:05:48PM +0100, Marcos Marado wrote:
> On Monday 20 August 2007 13:41, Rainer Dorsch wrote:
>> Am Montag, 20. August 2007 13:25 schrieb Marcos Marado:
> >> On Saturday 18 August 2007 08:18, Paul TBBle Hampson wrote:
> > >> I've uploaded 1.18.1.2 packages, however I have no idea if it will
> > >> build on i386 or amd64, as I've got a patch in there which changes the
> > >> way compiler flags are put together compared to upstream (which also
> > >> changed since 1.18.0.6, hence the patch)

> >> Thank you.

> >> Rainer: are you going to keep doing i386 etch packages and test this for
> >> Paul, or do you want me to try doing that?

>> Marcos,

>> I am just back from vacation and have a backlog of work. So I would
>> probably not get started this week.

>> Please go ahead and give the i386 build a try.

> Looking to SConstruct:

> opts.AddOptions(
>     EnumOption('BUILD', 'Set build type', 'releasefordownload',
>         
> allowed_values=('debug', 'release', 'releasenoopt', 'releasefordownload')),
>     EnumOption('ARCH', 'Set architecture', 'i686',
>         allowed_values=('i686', 'powerpc', 'x86_64')),
>     EnumOption('BTARGET', 'Set build target', 'server',
>         allowed_values=('client', 'server', 'all')),
>     BoolOption('DISTCC', 'Enabled distcc', True),
>     BoolOption('MOZLIB', 'Enabled llmozlib/mozilla support', True),
>     BoolOption('FMOD', 'Enabled FMOD audio support', True),
>     BoolOption('GSTREAMER', 'Enabled GStreamer support', True),
>     BoolOption('COLORGCC', 'Enabled colorgcc', True),
>     EnumOption('GRID', 'Client package\'s default grid', 'default',
>         
> allowed_values=('default', 'aditi', 'agni', 'dmz', 'durga', 'firstlook', 'ganga', 'shakti', 'siva', 'soma', 'uma', 'vaak')),
>     BoolOption('ELFIO', 'Enabled enhanced backtraces with libELFIO symbol 
> extraction support', True),
>     BoolOption('STANDALONE', 'Build using system packages (implies 
> OPENSOURCE)', False),
>     BoolOption('OPENSOURCE', 'Build using only non-proprietary dependencies', 
> True), # OPENSOURCE: do not edit this line
>     BoolOption('VECTORIZE', 'Enable vectorized routines (SIMD instruction sets 
> eg. SSE, Altivec) (requires STANDALONE)', True),
> )

> So, STANDALONE is False, but VECTORIZE (at True) needs STANDALONE... What's 
> wrong here? 

Nothing. The debian/rules file passes in STANDALONE=True.

This however is broken for the non-STANDALONE case. The reason I made
VECTORIZE depend on STANDALONE was because gcc before gcc4 didn't have
the -f option to enable autovectorisation.

That's not so interesting for a Debian patch, we always build
standalone.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #355 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org, Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: Second Life new version
Date: Tue, 21 Aug 2007 11:02:30 +0100
Good morning,

On Tuesday 21 August 2007 00:07, Paul TBBle Hampson wrote:

> > Looking to SConstruct:
[...]
> > So, STANDALONE is False, but VECTORIZE (at True) needs STANDALONE...
> > What's wrong here?
>
> Nothing. The debian/rules file passes in STANDALONE=True.

Oh, I see.

> This however is broken for the non-STANDALONE case. The reason I made
> VECTORIZE depend on STANDALONE was because gcc before gcc4 didn't have
> the -f option to enable autovectorisation.
>
> That's not so interesting for a Debian patch, we always build
> standalone.

Understand. Well, I wasn't able to build the package with your 
30_vectorisation_for_all.dpatch , so I removed that patch for my packages. I 
had no time to see what's wrong with the patch, but I suspect that with the 
patch and in my system I'm falling in one of the cases where you're not 
adding the SSE flags. Anyway, for now I just removed that patch and made the 
packages for etch, here: http://noori.abismo.org/slviewer/

You might want to give a second look to that patch.

BTW, the build works fine for me, including giving the same weird graphics I'm 
whining about in the latest versions.

Best regards,
-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #360 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: Re: Bug#406335: Second Life new version
Date: Tue, 21 Aug 2007 11:46:25 +0100
FYI:

http://wiki.secondlife.com/wiki/Source_downloads#ver_1.18.2.0
slviewer 1.18.2.0 is out.

-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #365 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>, 406335@bugs.debian.org
Cc: Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: Second Life new version
Date: Wed, 22 Aug 2007 09:18:39 +1000
[Message part 1 (text/plain, inline)]
On Tue, Aug 21, 2007 at 11:02:30AM +0100, Marcos Marado wrote:
> Understand. Well, I wasn't able to build the package with your 
> 30_vectorisation_for_all.dpatch , so I removed that patch for my packages. I 
> had no time to see what's wrong with the patch, but I suspect that with the 
> patch and in my system I'm falling in one of the cases where you're not 
> adding the SSE flags.

I don't suppose you kept the build logs? I don't have a system on which
I can test the patch except thePowerPC system on which it works.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Pobox.com

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #370 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org, Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: Second Life new version
Date: Wed, 22 Aug 2007 10:54:55 +0100
On Wednesday 22 August 2007 00:18, Paul TBBle Hampson wrote:
> On Tue, Aug 21, 2007 at 11:02:30AM +0100, Marcos Marado wrote:
> > Understand. Well, I wasn't able to build the package with your
> > 30_vectorisation_for_all.dpatch , so I removed that patch for my
> > packages. I had no time to see what's wrong with the patch, but I suspect
> > that with the patch and in my system I'm falling in one of the cases
> > where you're not adding the SSE flags.
>
> I don't suppose you kept the build logs? 

The only thing I kept was this:

g++ -o /tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.o -c -g -pipe -Wall -Wno-trigraphs -Wno-sign-compare -Werror -fno-math-errno -fexceptions -fsigned-char -fno-strict-aliasing -ftree-vectorize -falign-loops=16 -ffast-math -O2 -D_FORTIFY_SOURCE=2 -DLL_STANDALONE -DLL_MESA_HEADLESS=0 -DLL_MESA=0 -DLL_LINUX=1 -DAPPID=secondlife -DLL_SDL=1 -DLL_FMOD=0 -DLL_X11=1 -DLL_GTK=1 -DLL_ELFBIN=0 -DLL_LIBXUL_ENABLED=0 -DLL_GSTREAMER_ENABLED=1 -DLL_VECTORIZE=1 -DLL_SSE=1 -DLL_SSE2=1 -DNDEBUG -DLL_RELEASE=1 -Illcommon -Illmath -Illwindow -Illaudio -Illcharacter -Illdatabase -Illhavok -Illimage -Illinventory -Illmedia -Illmessage -Illprimitive -Illrender -Illscene -Illui -Illvfs -Illwindow -Illxml -Ilscript -Ilscript/lscript_compile -I/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/libraries/include -I/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/libraries/include/havok -I/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/libraries/i686-linux/include -I/usr/include/apr-1.0 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/SDL -I/usr/include/gstreamer-0.10 -I/usr/include/libxml2 /tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.cpp
In file included from llmath/llv4math.h:77,
                 
from /tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.cpp:41:
/usr/lib/gcc/i486-linux-gnu/4.1.2/include/xmmintrin.h:34:3: error: #error "SSE 
instruction set not enabled"
llmath/llv4math.h:78: error: '__m128' does not name a type
llmath/llv4vector3.h:47: error: 'V4F32' does not name a type
llmath/llv4vector3.h: In member function 'void LLV4Vector3::setVec(F32)':
llmath/llv4vector3.h:76: error: 'v' was not declared in this scope
llmath/llv4vector3.h:76: error: '_mm_set1_ps' was not declared in this scope
llmath/llv4matrix3.h: At global scope:
llmath/llv4matrix3.h:49: error: 'V4F32' does not name a type
llmath/llv4matrix3.h: In member function 'void LLV4Matrix3::lerp(const 
LLV4Matrix3&, const LLV4Matrix3&, const F32&)':
llmath/llv4matrix3.h:79: error: '__m128' was not declared in this scope
llmath/llv4matrix3.h:79: error: expected `;' before 'vw'
llmath/llv4matrix3.h:80: error: 'mV' was not declared in this scope
llmath/llv4matrix3.h:80: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:80: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:80: error: '_mm_sub_ps' was not declared in this scope
llmath/llv4matrix3.h:80: error: 'vw' was not declared in this scope
llmath/llv4matrix3.h:80: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix3.h:80: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:80: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix3.h:81: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:81: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:81: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:82: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:82: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h:82: error: 'const class LLV4Matrix3' has no member 
named 'mV'
llmath/llv4matrix3.h: In member function 'void LLV4Matrix3::multiply(const 
LLVector3&, LLVector3&) const':
llmath/llv4matrix3.h:88: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:88: error: '_mm_set1_ps' was not declared in this scope
llmath/llv4matrix3.h:88: error: 'mV' was not declared in this scope
llmath/llv4matrix3.h:88: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix3.h:89: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:89: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:89: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix3.h:90: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:90: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h: In member function 'void LLV4Matrix3::multiply(const 
LLVector4&, LLV4Vector3&) const':
llmath/llv4matrix3.h:96: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:96: error: '_mm_set1_ps' was not declared in this scope
llmath/llv4matrix3.h:96: error: 'mV' was not declared in this scope
llmath/llv4matrix3.h:96: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix3.h:97: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:97: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:97: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix3.h:98: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:98: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h: In member function 'void LLV4Matrix3::multiply(const 
LLVector3&, LLV4Vector3&) const':
llmath/llv4matrix3.h:103: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:103: error: '_mm_set1_ps' was not declared in this scope
llmath/llv4matrix3.h:103: error: 'mV' was not declared in this scope
llmath/llv4matrix3.h:103: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix3.h:104: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:104: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:104: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix3.h:105: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix3.h:105: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h: At global scope:
llmath/llv4matrix4.h:49: error: 'V4F32' does not name a type
llmath/llv4matrix4.h: In member function 'void LLV4Matrix4::lerp(const 
LLV4Matrix4&, const LLV4Matrix4&, const F32&)':
llmath/llv4matrix4.h:79: error: '__m128' was not declared in this scope
llmath/llv4matrix4.h:79: error: expected `;' before 'vw'
llmath/llv4matrix4.h:80: error: 'mV' was not declared in this scope
llmath/llv4matrix4.h:80: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:80: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:80: error: '_mm_sub_ps' was not declared in this scope
llmath/llv4matrix4.h:80: error: 'vw' was not declared in this scope
llmath/llv4matrix4.h:80: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix4.h:80: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:80: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix4.h:81: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:81: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:81: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:82: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:82: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:82: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:83: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:83: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h:83: error: 'const class LLV4Matrix4' has no member 
named 'mV'
llmath/llv4matrix4.h: In member function 'void LLV4Matrix4::multiply(const 
LLVector3&, LLVector3&) const':
llmath/llv4matrix4.h:89: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:89: error: 'mV' was not declared in this scope
llmath/llv4matrix4.h:89: error: '_mm_set1_ps' was not declared in this scope
llmath/llv4matrix4.h:89: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix4.h:89: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix4.h:90: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:90: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:91: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:91: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h: In member function 'void LLV4Matrix4::multiply(const 
LLVector3&, LLV4Vector3&) const':
llmath/llv4matrix4.h:97: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:97: error: 'mV' was not declared in this scope
llmath/llv4matrix4.h:97: error: '_mm_set1_ps' was not declared in this scope
llmath/llv4matrix4.h:97: error: '_mm_mul_ps' was not declared in this scope
llmath/llv4matrix4.h:97: error: '_mm_add_ps' was not declared in this scope
llmath/llv4matrix4.h:98: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:98: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:99: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h:99: error: 'class LLV4Vector3' has no member named 'v'
llmath/llv4matrix4.h: In member function 'const LLV4Matrix4& 
LLV4Matrix4::translate(const LLV4Vector3&)':
llmath/llv4matrix4.h:104: error: 'mV' was not declared in this scope
llmath/llv4matrix4.h:104: error: 'const class LLV4Vector3' has no member 
named 'v'
llmath/llv4matrix4.h:104: error: '_mm_add_ps' was not declared in this scope
scons: *** 
[/tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.o] 
Error 1
scons: building terminated because of errors.
make: *** [build-arch-stamp] Error 2

> I don't have a system on which I can test the patch except thePowerPC system 
> on which it works. 

I understand. If you don't figure what's wrong here, I'll try to find some 
time to take a serious look at it.

-- 
Marcos Marado
Sonaecom IT



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #375 received at 406335@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@Pobox.com>
To: Marcos Marado <Marcos.Marado@sonae.com>
Cc: 406335@bugs.debian.org, Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 27 Aug 2007 22:43:47 +1000
[Message part 1 (text/plain, inline)]
On Wed, Aug 22, 2007 at 10:54:55AM +0100, Marcos Marado wrote:
> On Wednesday 22 August 2007 00:18, Paul TBBle Hampson wrote:
>> On Tue, Aug 21, 2007 at 11:02:30AM +0100, Marcos Marado wrote:
> >> Understand. Well, I wasn't able to build the package with your
> >> 30_vectorisation_for_all.dpatch , so I removed that patch for my
> >> packages. I had no time to see what's wrong with the patch, but I suspect
> >> that with the patch and in my system I'm falling in one of the cases
> >> where you're not adding the SSE flags.

>> I don't suppose you kept the build logs? 

> The only thing I kept was this:

> g++ -o /tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.o -c -g -pipe -Wall -Wno-trigraphs -Wno-sign-compare -Werror -fno-math-errno -fexceptions -fsigned-char -fno-strict-aliasing -ftree-vectorize -falign-loops=16 -ffast-math -O2 -D_FORTIFY_SOURCE=2 -DLL_STANDALONE -DLL_MESA_HEADLESS=0 -DLL_MESA=0 -DLL_LINUX=1 -DAPPID=secondlife -DLL_SDL=1 -DLL_FMOD=0 -DLL_X11=1 -DLL_GTK=1 -DLL_ELFBIN=0 -DLL_LIBXUL_ENABLED=0 -DLL_GSTREAMER_ENABLED=1 -DLL_VECTORIZE=1 -DLL_SSE=1 -DLL_SSE2=1 -DNDEBUG -DLL_RELEASE=1 -Illcommon -Illmath -Illwindow -Illaudio -Illcharacter -Illdatabase -Illhavok -Illimage -Illinventory -Illmedia -Illmessage -Illprimitive -Illrender -Illscene -Illui -Illvfs -Illwindow -Illxml -Ilscript -Ilscript/lscript_compile -I/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/libraries/include -I/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/libraries/include/havok -I/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/libraries/i686-linux/include -I/usr/include/apr-1.0 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/SDL -I/usr/include/gstreamer-0.10 -I/usr/include/libxml2 /tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.cpp
> In file included from llmath/llv4math.h:77,
>                  
> from /tmp/marado/home/marado/personal/2nd/debian/etch/slviewer-1.18.1.2/indra/i686-linux-client-release/newview/llviewerjointmesh_vec.cpp:41:
> /usr/lib/gcc/i486-linux-gnu/4.1.2/include/xmmintrin.h:34:3: error: #error "SSE 
> instruction set not enabled"

Ah, right, that's a thinko on my part. Autovectorisation needs -msse or
-msse2 passed in.

On AMD64, that's easy, they all have SSE2 I'm told.

For the i386 build, apparently the Athlon Thunderbirds are supported,
and they only do SSE.

So I guess I need to fiddle with the patch a little more. I'll see about
creating a -2 build this week some time.

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
Very-later-year Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Pobox.com

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

License: http://creativecommons.org/licenses/by/2.1/au/
-----------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #380 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Paul TBBle Hampson <Paul.Hampson@pobox.com>
Cc: 406335@bugs.debian.org, Rainer Dorsch <rdorsch@web.de>
Subject: Re: Bug#406335: Second Life new version
Date: Mon, 27 Aug 2007 14:53:13 +0100
On Monday 27 August 2007 13:43, Paul TBBle Hampson wrote:
> Ah, right, that's a thinko on my part. Autovectorisation needs -msse or
> -msse2 passed in.
>
> On AMD64, that's easy, they all have SSE2 I'm told.
>
> For the i386 build, apparently the Athlon Thunderbirds are supported,
> and they only do SSE.

Well, my processor is an Intel(R) Pentium(R) M processor 1.73GHz...

> So I guess I need to fiddle with the patch a little more. I'll see about
> creating a -2 build this week some time.

Great, as soon as you have it uploaded I'll try it.

-- 
Marcos Marado



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #385 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: 406335@bugs.debian.org
Subject: slviewer: new mandatory version
Date: Mon, 29 Oct 2007 16:34:37 +0000
Since the 21st of September 1.18.3.5 is mandatory:
http://blog.secondlife.com/2007/09/21/required-update-for-release-candidate-viewer/

Meaning that the actual packages are useless by now...

Paul: are you working on this?

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #390 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: 406335@bugs.debian.org
Subject: Can i be of some help here with the packaging
Date: Tue, 06 Nov 2007 16:02:59 +0000
Hi Guys,

Can i help at all here?

I'm already distributing my own builds of the viewer for Debian (AMD 64)
at http://www.byteme.org.uk/secondlife-amd64/binary-packages.html and it
seems a waste of my time to just keep doing that when i may be able to
help here and help a lot more people at once.

I also have the LLMozLib stuff cracked in my build (with an LLMozLib
package required that depends on xulrunner) and i am running a couple of
unofficial patches so we at least have sound but i can't see a problem
distributing with that on as well.

All i need to add is a wrapper makefile for source building the Debian way.

From version 1.18.4.0 onwards, we need to push for c-ares package as the
Debian ares package is not compatible, there is already bug against ares
for this :- Bug#359794 but perhapses we should just file an ITP for a
new package?

-- 
Dr Robin Cornelius
Design Engineer
Hirst Magnetic Instruments Ltd
(UK Magnetics Society management committee member)

Tel: +44 (0) 1326 372734      www.hirst-magnetics.com
Fax: +44 (0) 1326 378069      www.gaussmeter.co.uk

Tesla House, Tregoniggie Industrial Estate
Falmouth, Cornwall, TR11 4SN, U.K.

Reg No: 1564814 England
VAT Registered: GB730 0277 74 





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Paul \"TBBle\" Hampson" <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #395 received at 406335@bugs.debian.org (full text, mbox):

From: "Paul \"TBBle\" Hampson" <Paul.Hampson@Pobox.com>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Can i be of some help here with the packaging
Date: Fri, 09 Nov 2007 17:43:47 +1100
-----BEGIN PGP SIGNED MESSAGE-----

Hash: SHA1



Robin Cornelius wrote:
> Hi Guys,

> Can i help at all here?

Please.

Just as a general note, I bought a new laptop, and although it's now fast
enough to run the viewer, it's AMD64 and I've not yet had time to set up
for slviewer development.

In parallel, work's gotten quite busy, as we're building towards a release
so I'm not sure I'm going to be able to offer too much more work on the
slviewer package for the next few months, although I should be in a position
to build-test and fix bugs, and I might have an older PowerPC machine online
(not fast enough to run it, but can smoketest compilation) soon.

I don't think I'll have time to do version upgrades though.

What'd prolly really help is if someone were to organise a git repository.

That was always my plan once we were in shape for Debian, but I haven't
thought through how such a thing should work in detail though, particularly
in relation to dpatch.

I understand there's some kind of git/quilt combination but I've not looked
at it before.

- -- 
- -----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
Very-later-year Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Anu.edu.au

"No survivors? Then where do the stories come from I wonder?"
- -- Capt. Jack Sparrow, "Pirates of the Caribbean"

License: http://creativecommons.org/licenses/by/2.1/au/
- -----------------------------------------------------------
-----BEGIN PGP SIGNATURE-----

Version: GnuPG v1.4.6 (MingW32)

Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org



iD8DBQFHNAGjexDuohKLFuARAkiOAJ0X2BK+94ObG1dbaIl2Joc7EAnYowCff4wX

bAKMCgJ39TPSW4a+0fEbXM8=

=8axz

-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #400 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: "Paul \"TBBle\" Hampson" <Paul.Hampson@Pobox.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Can i be of some help here with the packaging
Date: Fri, 09 Nov 2007 10:37:44 +0000
Paul "TBBle" Hampson wrote:
>
> > Can i help at all here?
>
> Please.
Ok do we have a general plan for building? are we going to create GNU
make makefile(s) I don't see this as too much of a challenge just
"stuff" to do? It may be easier to start clean rather than fight scons
in to submission. Or have i missed an older package that has already
been converted?
>
> Just as a general note, I bought a new laptop, and although it's now fast
> enough to run the viewer, it's AMD64 and I've not yet had time to set up
> for slviewer development.
No worries, if you want to get running very quickly with out much
thinking :-) then just do
http://www.byteme.org.uk/secondlife-amd64/compiling-the-client.html
>
> In parallel, work's gotten quite busy, as we're building towards a release
> so I'm not sure I'm going to be able to offer too much more work on the
> slviewer package for the next few months, although I should be in a
> position
> to build-test and fix bugs, and I might have an older PowerPC machine
> online
> (not fast enough to run it, but can smoketest compilation) soon.
yea works a pain, gets in the way of SL. We can in theory build test
with pbuilder as well cross arch.
>
> I don't think I'll have time to do version upgrades though.
I seem to be keeping on top of this with my binary releases pretty well.
>
> What'd prolly really help is if someone were to organise a git repository.

Ooooh git. I could *in theory* run a repo but it will be on a broadband
connection and i can't sustain huge numbers of people working off it,
but just a dev team would be fine.
>
> That was always my plan once we were in shape for Debian, but I haven't
> thought through how such a thing should work in detail though,
> particularly
> in relation to dpatch.
>
> I understand there's some kind of git/quilt combination but I've not
> looked
> at it before.
I think the dpatch/quilt should work a treat. I don't know how it
integrates with git though. Maybe we should start with manual
dpatch/quilt and no git. You can have a working build with 7 patches and
some of them are added features such as openAL and mozlib.

I think plan #1 is create a makefile for 1.18.4.3 that will give us a
working start point for debianisation.

I will try to ITP and package c-ares soon as well. I've got another
package in my queue that i must finish first.

Robin







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Paul \"TBBle\" Hampson" <Paul.Hampson@Pobox.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #405 received at 406335@bugs.debian.org (full text, mbox):

From: "Paul \"TBBle\" Hampson" <Paul.Hampson@Pobox.com>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Can i be of some help here with the packaging
Date: Sat, 10 Nov 2007 00:15:15 +1100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Robin Cornelius wrote:
> Paul "TBBle" Hampson wrote:
>>> Can i help at all here?
>> Please.
> Ok do we have a general plan for building? are we going to create GNU
> make makefile(s) I don't see this as too much of a challenge just
> "stuff" to do? It may be easier to start clean rather than fight scons
> in to submission. Or have i missed an older package that has already
> been converted?

Have you seen http://www.tbble.net/debian/slviewer-artwork and
http://www.tbble.net/debian/slviewer?

My latest build there appears to be 1.18.1.2, although I have a
feeling I'd stuffed up the build-system patches on non-PowerPC...

I don't think it's hard to fix, in fact I thought I discussed it
earlier in this bug.

I think most of the work is in porting the various dpatches I have
to the latest version. Sometimes it's trivial, and sometimes it's
a pain, especially when they solve a problem upstream differently
to how I've solved it. (Although then you can just drop the patch)

>> In parallel, work's gotten quite busy, as we're building towards a release
>> so I'm not sure I'm going to be able to offer too much more work on the
>> slviewer package for the next few months, although I should be in a
>> position
>> to build-test and fix bugs, and I might have an older PowerPC machine
>> online
>> (not fast enough to run it, but can smoketest compilation) soon.
> yea works a pain, gets in the way of SL. We can in theory build test
> with pbuilder as well cross arch.

The issue with using pbuilder (at least for my pbuilder-uml setup at
home) is that slviewer needs a couple of extra packages (also
packaged at http://www.tbble.net/debian/) and I never got pbuilder
satisfactorially grabbing them, given I haven't set up
apt-ftparchive or anything.

(See the ITPs marked as blocking this one for history of those two
packages)

>> I don't think I'll have time to do version upgrades though.
> I seem to be keeping on top of this with my binary releases pretty well.
>> What'd prolly really help is if someone were to organise a git repository.

> Ooooh git. I could *in theory* run a repo but it will be on a broadband
> connection and i can't sustain huge numbers of people working off it,
> but just a dev team would be fine.

I was thinking of actually hosting it on git.debian.org. Although
I'm not sure if we need a developer to get access, if it runs
through alioth, or what.

>> That was always my plan once we were in shape for Debian, but I haven't
>> thought through how such a thing should work in detail though,
>> particularly
>> in relation to dpatch.

>> I understand there's some kind of git/quilt combination but I've not
>> looked
>> at it before.

> I think the dpatch/quilt should work a treat. I don't know how it
> integrates with git though. Maybe we should start with manual
> dpatch/quilt and no git. You can have a working build with 7 patches and
> some of them are added features such as openAL and mozlib.

Manual dpatch is what's in my packages above.

I haven't been through the dpatches in the build since August,
according to the timestamps, so they may have been superseded
or declared bad on the sldev mailing list (which I also haven't
read since August)

The dpatch comments though should give enough background to track
down their history and relevant.

> I think plan #1 is create a makefile for 1.18.4.3 that will give us a
> working start point for debianisation.

I don't think we need to convert the build system to make, that'll
just mean more maintenance work every time upstream Sconstruct
changes. I think it's a better bet to try and get our required
Sconstruct changes pushed nice and generic and pushed up into the
LL tree.

> I will try to ITP and package c-ares soon as well. I've got another
> package in my queue that i must finish first.

That'd be great.

- --
- -----------------------------------------------------------
Paul "TBBle" Hampson, B.Sc, LPI, MCSE
Very-later-year Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Pobox.com

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

License: http://creativecommons.org/licenses/by/2.1/au/
- -----------------------------------------------------------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD4DBQFHNF1iexDuohKLFuARAkMNAJ90Fd9XPxUf3dnpOE6E1GCAeCJdWQCWOCzP
oErJWPvlfbKieXIfbTbamw==
=mB9O
-----END PGP SIGNATURE-----




Blocking bugs of 406335 added: 412988 Request was from Robin Cornelius <robin.cornelius@gmail.com> to control@bugs.debian.org. (Sun, 11 Nov 2007 17:03:06 GMT) Full text and rfc822 format available.

Blocking bugs of 406335 added: 450850 Request was from Robin Cornelius <robin.cornelius@gmail.com> to control@bugs.debian.org. (Sun, 11 Nov 2007 17:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #414 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: 406335@bugs.debian.org
Cc: "Paul \"TBBle\" Hampson" <Paul.Hampson@Pobox.com>
Subject: Updated package to 1.18.5.1
Date: Tue, 20 Nov 2007 14:50:17 +0000
Hi everyone,

I have updated my apt repository to 1.18.5.1 Just released by the lindens.

deb http://cornelius.demon.co.uk/apt/ unstable main
deb-src http://cornelius.demon.co.uk/apt/ unstable main

Not much has changed from our side of things so far except some minor
patch cleanups

21_VWR_2488_Standalone_build_fixes.dpatch has been updated to be more
like Paul's original version with the gstreamer pkg-config additions. As
upstream has been updated too. Also the openal pkg-config entries have
been removed from here. All the openal stuff is self contained in
50_add_openAL-audio.dpatch. There are still a couple of files lying
around that should not be there :-) my bad. Other issues Paul has
previously  raised with some patches are still valid and need correcting.

Robin





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #419 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: 406335@bugs.debian.org
Subject: Update
Date: Sat, 26 Jan 2008 16:23:18 +0000

Hi there,

Just to tell that nowadays the problem I used to have with the graphics is gone,
but now I have one other (which I suspect is upstream): sometimes, related with
network slowness perheaps, my screen goes almost black and processor tops: I
only see the mouse cursor move, but I can't even switch from X (CTRL+ALT+F1 or
something won't work). 

Anything I can tell you to help debug or reportbug this more properly?

Best regards,
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #424 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: Marcos Marado <marado@isp.novis.pt>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Update
Date: Mon, 28 Jan 2008 14:03:45 +0000
Marcos Marado wrote:
> Hi there,
>
> Just to tell that nowadays the problem I used to have with the graphics is gone,
> but now I have one other (which I suspect is upstream): sometimes, related with
> network slowness perheaps, my screen goes almost black and processor tops: I
> only see the mouse cursor move, but I can't even switch from X (CTRL+ALT+F1 or
> something won't work). 
>
> Anything I can tell you to help debug or reportbug this more properly?
>   
Hi Marcos,

Can you confirm which version of the viewer this is?(we have 1.18.6.4-2 
on the repository now). Also what processor, graphics card/drivers etc.

What version of openjpeg do you have installed, also check the version 
of your mesa libraries as well. Older versions of openjpeg had a problem 
that caused a massive memory leak when used with the viewer and there 
was a bug in an older version of mesa that caused big issues.

Can you watch your memory usage with top (or some other utility), does 
the viewer eat all your memory or do you have plenty free when the 
freezes happen?

Anything interesting in ~/.secondlife/logs/SecondLife.log when the 
freezes occurs?

Regards

Robin





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #429 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Update
Date: Mon, 28 Jan 2008 14:40:02 +0000
Hi there,

On Monday 28 January 2008 14:03, Robin Cornelius wrote:
> > Just to tell that nowadays the problem I used to have with the graphics
> > is gone, but now I have one other (which I suspect is upstream):
> > sometimes, related with network slowness perheaps, my screen goes almost
> > black and processor tops: I only see the mouse cursor move, but I can't
> > even switch from X (CTRL+ALT+F1 or something won't work).
> >
> > Anything I can tell you to help debug or reportbug this more properly?
>
> Can you confirm which version of the viewer this is?(we have 1.18.6.4-2
> on the repository now). Also what processor, graphics card/drivers etc.

slviewer-data/unstable uptodate 1.18.6.4-2
slviewer-dbg/unstable uptodate 1.18.6.4-2
slviewer-artwork/unstable uptodate 1.18.6.2-1
slviewer/unstable uptodate 1.18.6.4-2

model name      : Intel(R) Pentium(R) M processor 1.73GHz

OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 915GM 20050225
OpenGL version string: 1.3 Mesa 6.5.1

> What version of openjpeg do you have installed, also check the version
> of your mesa libraries as well. Older versions of openjpeg had a problem
> that caused a massive memory leak when used with the viewer and there
> was a bug in an older version of mesa that caused big issues.

libopenjpeg2/unstable uptodate 1.3-1
mesa-utils/stable uptodate 6.3.2-2.1
xlibmesa-gl/stable uptodate 1:7.1.0-19
libglu1-mesa-dev/stable uptodate 6.5.1-0.6
libgl1-mesa-dev/stable uptodate 6.5.1-0.6
libgl1-mesa-dri/stable uptodate 6.5.1-0.6
libglu1-mesa/stable uptodate 6.5.1-0.6
mesa-common-dev/stable uptodate 6.5.1-0.6
libgl1-mesa-glx/stable uptodate 6.5.1-0.6

Any of this fit into the definition of "older version"? If so, can you please 
tell me which ones to update?

> Can you watch your memory usage with top (or some other utility), does
> the viewer eat all your memory or do you have plenty free when the
> freezes happen?

I /guess/ that before the freeze there's no memory problem, when it freezes I 
have to way to see if it's memory or not...

> Anything interesting in ~/.secondlife/logs/SecondLife.log when the
> freezes occurs?

Nothing of weird...

Anything else you want to ask, feel free...

Thanks,
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #434 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: 406335@bugs.debian.org
Subject: Bug on slviewer
Date: Wed, 5 Mar 2008 21:26:32 +0000
Hi there,

I just noticed (duh) that the squares for the avatars name tags appear, but 
with no names there...

Here's a screenshot: http://www.23hq.com/Mind_Booster_Noori/photo/2929949

BTW, since I've upgraded xlibmesa-gl to 1:7.2-5 I stop'd seeing the bug I 
reported previously... Yet, it was way too common without the upgrade. Maybe 
you should make xlibmesa-gl >= 7.2 in the dependencies?

Best regards,
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #439 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: Marcos Marado <marado@isp.novis.pt>, 406335@bugs.debian.org
Subject: Bug on slviewer
Date: Thu, 06 Mar 2008 15:57:34 +0000
Marcos Marado wrote:
> Hi there,
>
> I just noticed (duh) that the squares for the avatars name tags appear, but 
> with no names there...
>
>   
Hmm, i don't see that on my AMD64 or i386 builds, but they are both on 
Debian unstable, think its related to below though...

> BTW, since I've upgraded xlibmesa-gl to 1:7.2-5 I stop'd seeing the bug I 
> reported previously... Yet, it was way too common without the upgrade. Maybe 
> you should make xlibmesa-gl >= 7.2 in the dependencies?
>   

Interesting, i have been trying to keep the build etch compatible but it 
looks like it starting to break now.  Etch is getting a bit old and 
testing is due? to freeze in the near future so as soon as it freezes i 
will start to build against (frozen) testing.

Looking at your version numbers it seems you are running etch and have 
upgraded (at least some packages) to testing? I would guess there is 
another minimum dependency somewhere and its hard to guess where as 
there are too many layers of SDL,GTK and GL all together.  I'm going to 
have to ask people to report back what they are installing on.

Any other system information? is this i386 or AMD64. What locale are you 
running? could be an interesting locale side effect.

I'll try running in a etch chroot and see if i can trigger the issues myself

Robin





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #444 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug on slviewer
Date: Thu, 6 Mar 2008 16:18:25 +0000
Hi,

On Thursday 06 March 2008 15:57, Robin Cornelius wrote:
> Marcos Marado wrote:
> > Hi there,
> >
> > I just noticed (duh) that the squares for the avatars name tags appear,
> > but with no names there...
>
> Hmm, i don't see that on my AMD64 or i386 builds, but they are both on
> Debian unstable, think its related to below though...

That's what I needed to know, I guess that this is still because I'm not using 
the same mesa package versions as you...

> > BTW, since I've upgraded xlibmesa-gl to 1:7.2-5 I stop'd seeing the bug I
> > reported previously... Yet, it was way too common without the upgrade.
> > Maybe you should make xlibmesa-gl >= 7.2 in the dependencies?
>
> Interesting, i have been trying to keep the build etch compatible but it
> looks like it starting to break now.  

Well, it _is_ broken in etch, so I was trying to check which package was 
making it happen (and thus I upgraded xlibmesa-gl to lenny's version).

> Etch is getting a bit old and testing is due? to freeze in the near future 
> so as soon as it freezes i will start to build against (frozen) testing. 

Since it will never enter in etch anyway, I don't see anything wrong in trying 
to make it work in lenny only. Yet, you should add the xlibmesa-gl >= 7.2 
dependency (at least).

> Looking at your version numbers it seems you are running etch and have
> upgraded (at least some packages) to testing? 

Yes, I upgraded some to try to fix the previous issue.

> I would guess there is 
> another minimum dependency somewhere and its hard to guess where as
> there are too many layers of SDL,GTK and GL all together.  I'm going to
> have to ask people to report back what they are installing on.

I'll upgrade the mesa related packages one by one to the ones on testing, and 
see if any fixes the issue (and if so, which one). If any of them solves... 
Do you think it is because a version bump to unstable is needed? Or do you 
think it might be a dependency to something else besides mesa?

> Any other system information? 

What do you want?

> is this i386 or AMD64. 

i386

> What locale are you  
> running? could be an interesting locale side effect.

[~]>locale
LANG=C
LANGUAGE=us
LC_CTYPE="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_COLLATE="C"
LC_MONETARY="C"
LC_MESSAGES="C"
LC_PAPER="C"
LC_NAME="C"
LC_ADDRESS="C"
LC_TELEPHONE="C"
LC_MEASUREMENT="C"
LC_IDENTIFICATION="C"
LC_ALL=

> I'll try running in a etch chroot and see if i can trigger the issues
> myself

OK... As soon as I have tested the other packages I'll let you know the 
results...

Best regards,
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #449 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: Marcos Marado <marado@isp.novis.pt>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Bug on slviewer
Date: Thu, 06 Mar 2008 16:44:49 +0000
Marcos Marado wrote:
> Well, it _is_ broken in etch, so I was trying to check which package was 
> making it happen (and thus I upgraded xlibmesa-gl to lenny's version).
>
>   
>> Etch is getting a bit old and testing is due? to freeze in the near future 
>> so as soon as it freezes i will start to build against (frozen) testing. 
>>     
>
> Since it will never enter in etch anyway, I don't see anything wrong in trying 
> to make it work in lenny only. Yet, you should add the xlibmesa-gl >= 7.2 
> dependency (at least).
>
>   
I was trying to keep the build available for maximum number of users at 
this time as due to license issues still not resolved, openjpeg 
xmlrpc-epi and the dreaded llmozlib its blocked from a lot of sides from 
even attempting to enter Debian, i don't think changing the build to 
testing soon is going to cause many problems however.

Its more complex that just xlibmesa-gl >=7.2, i *don't* have it 
installed at all on my laptop, i presume i am using xlibmesa-dri so need 
to be a little careful about the dependencies here. Not sure what other 
valid combinations you could have for mesa but don't want to depend on 
packages that are not required.

May be could specify it conflicts with xlibmesa-gl<7.2, just at the 
moment. Clearly if we try to enter unstable such things would not apply.

> I'll upgrade the mesa related packages one by one to the ones on testing, and 
> see if any fixes the issue (and if so, which one). If any of them solves... 
> Do you think it is because a version bump to unstable is needed? Or do you 
> think it might be a dependency to something else besides mesa?
>
>   
If its not mesa the other options are GTK and SDL possibly the fonts 
ttf-dejavu. Would be cool to get to the bottom of this :-)

Just be careful of mixing and matching mesa and associated libs 
versions, could get into a right mess!

Thanks for your help

Robin







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #454 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug on slviewer
Date: Thu, 6 Mar 2008 16:42:45 +0000
On Thursday 06 March 2008 16:18, Marcos Marado wrote:
> OK... As soon as I have tested the other packages I'll let you know the
> results...

Updated libglu1-mesa and libglu1-mesa-dev to testing, and the result is 
terrible: running slviewer makes X reboot :-( Next step: trying to update 
these to testing:

mesa-common-dev/stable uptodate 6.5.1-0.6
libgl1-mesa-dev/stable uptodate 6.5.1-0.6
libgl1-mesa-dri/stable uptodate 6.5.1-0.6
libgl1-mesa-glx/stable uptodate 6.5.1-0.6

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #459 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Bug on slviewer
Date: Thu, 6 Mar 2008 17:04:04 +0000
On Thursday 06 March 2008 16:44, Robin Cornelius wrote:
> > Since it will never enter in etch anyway, I don't see anything wrong in
> > trying to make it work in lenny only. Yet, you should add the xlibmesa-gl
> > >= 7.2 dependency (at least).
>
> I was trying to keep the build available for maximum number of users at
> this time as due to license issues still not resolved, openjpeg
> xmlrpc-epi and the dreaded llmozlib its blocked from a lot of sides from
> even attempting to enter Debian, i don't think changing the build to
> testing soon is going to cause many problems however.

Exactly.

> Its more complex that just xlibmesa-gl >=7.2, i *don't* have it
> installed at all on my laptop, i presume i am using xlibmesa-dri so need
> to be a little careful about the dependencies here. Not sure what other
> valid combinations you could have for mesa but don't want to depend on
> packages that are not required.
>
> May be could specify it conflicts with xlibmesa-gl<7.2, just at the
> moment. Clearly if we try to enter unstable such things would not apply.

You're right. xlibmesa-gl depends on libgl1-mesa-glx and xlibmesa-dri on 
libgl1-mesa-dri, that depends on libgl1-mesa-glx. My suposition is that 
updating libgl1-mesa-glx. My guess, overall, is that what I should have done 
to avoid all issues was upgrading mesa-common-dev (thus forcing upgrades on 
libgl1-mesa-dev, libgl1-mesa-dri and libgl1-mesa-glx). My guess is also that 
xlibmesa-gl 1:7.2-5 (in testing), should depend on libgl1-mesa-glx 7* 
(testing), but isn't specifying any version. If you think this is the case, 
then we should open a bug against xlibmesa-gl, and depend on mesa-common-dev 
>=7. Anyway, I already upgraded the whole bunch to testing, and I'm going to 
test it: I suspect that I'll get a working slviewer again, even if not with 
the names on the avatars (which might be an unrelated issue).

> If its not mesa the other options are GTK and SDL possibly the fonts
> ttf-dejavu. Would be cool to get to the bottom of this :-)

We'll see that as soon as I test it. I *hope* it is a mesa issue, but if it 
isn't, I'll try the rest.

> Just be careful of mixing and matching mesa and associated libs
> versions, could get into a right mess!

I'm afraid of that... But can't stop myself on helping as much as I can ;-)

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #464 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
Cc: 406335@bugs.debian.org
Subject: Re: Bug#406335: Bug on slviewer
Date: Thu, 6 Mar 2008 19:14:41 +0000
On Thursday 06 March 2008 17:04, Marcos Marado wrote:
> You're right. xlibmesa-gl depends on libgl1-mesa-glx and xlibmesa-dri on
> libgl1-mesa-dri, that depends on libgl1-mesa-glx. My suposition is that
> updating libgl1-mesa-glx. My guess, overall, is that what I should have
> done to avoid all issues was upgrading mesa-common-dev (thus forcing
> upgrades on libgl1-mesa-dev, libgl1-mesa-dri and libgl1-mesa-glx).

Yay! Upgrading mesa-common-dev and rebooting fixed both issues :-)

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #469 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: Marcos Marado <marado@isp.novis.pt>, 406335@bugs.debian.org
Subject: Re: Bug#406335: Bug on slviewer
Date: Fri, 07 Mar 2008 11:21:12 +0000
Marcos Marado wrote:
> On Thursday 06 March 2008 17:04, Marcos Marado wrote:
>   
>> You're right. xlibmesa-gl depends on libgl1-mesa-glx and xlibmesa-dri on
>> libgl1-mesa-dri, that depends on libgl1-mesa-glx. My suposition is that
>> updating libgl1-mesa-glx. My guess, overall, is that what I should have
>> done to avoid all issues was upgrading mesa-common-dev (thus forcing
>> upgrades on libgl1-mesa-dev, libgl1-mesa-dri and libgl1-mesa-glx).
>>     
>
> Yay! Upgrading mesa-common-dev and rebooting fixed both issues :-)
>
>   
Thanks for the work on this, i will set the depends to be mesa-common >= 
version in testing. Worst case is someone running etch will have to 
upgrade there mesa which seems to be broken anyway.

Robin






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <marado@isp.novis.pt>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #474 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Marado <marado@isp.novis.pt>
To: 406335@bugs.debian.org
Subject: Still the mesa-common issue
Date: Thu, 27 Mar 2008 22:36:01 +0000
Hi there,

I looked a little more into the mesa-common issue, and got into the conclusion
that the problem still exists with mesa-common 7.0.1. That being, the dependency
should be of mesa-common >= 7.0.2 .

Best regards,
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to robin.cornelius@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #479 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@gmail.com>
To: 406335@bugs.debian.org
Subject: Pinging the ITP and updating news
Date: Sat, 31 May 2008 09:53:37 +0100
[Message part 1 (text/plain, inline)]
Ok so this is still very much being worked on so pinging the ITP to keep
alive.

Firstly on my test repository apt.byteme.org.uk we have stable release
version 1.19.1 and release candidate 1.20.8 available and i have been
tracking releases pretty closely.

Due to Linden Research Inc's current trademark policy the viewer has
been renamed from slviewer or secondlife-client etc to "Open Metaverse
viewer" This could be changed again in the future as we are not in
debian yet anyway. I am actively talking to some Lindens about how to
proceed with the use of their trademarks for this kind of packaging of
their viewer and we are finding examples already in debian of this kind
of situation. Its just taking a while as it has to go through their
legal team. But untill this situation is resolved I must obey the
trademark policy to protect myself and Debian.

The VCS for the source code is on the move too. It is being/has been
moved to a git repository under the pkg-games on Alioth so if you want
to get the latest sources for the debian package it can be found at

http://git.debian.org/git/pkg-games/slviewer.git
http://git.debian.org/git/pkg-games/slviewer-artwork.git

but note these git repository's build "Open Metaverse viewer" or
"omvviewer" packages due to the rename.

Also i am putting some details on the debian wiki at

http://wiki.debian.org/Games/OpenMetaverseViewer

Regards

Robin

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcos Torres Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Full text and rfc822 format available.

Message #484 received at 406335@bugs.debian.org (full text, mbox):

From: Marcos Torres Marado <Marcos.Marado@sonae.com>
To: "406335@bugs.debian.org" <406335@bugs.debian.org>
Subject: slviewer segmentation fault
Date: Sat, 21 Jun 2008 15:05:57 +0100
Hi there,

Thanks for the excelent work so far on slviewer: it now runs better than ever! :-)
I'm using 1.19.1.4-4, and now - for the first time - I saw a problem with this version.
This happened to me only once, just now, so I don't know if it is reproduceble,
and - if so - if this happens everytime or just sometimes.
As you may know, when you are more than some time (30 minutes I think) inactive
on second life, your connection is closed. A popup rises asking if you want to
connect again. I clicked "yes", and slviewer crashed, with a Segmentation Fault.
Here's the log:

2008-06-21T13:44:45Z INFO: LLVoiceClient::setState: entering state stateDisabled
2008-06-21T13:44:48Z WARNING: LLEventPollResponder::error: <2> got 404: Not Found
2008-06-21T13:44:48Z INFO: LLEventPollResponder::stop   <2> https://sim3436.agni.lindenlab.com:12043/cap/b3575849-cc1b-fb79-01c8-2e8391eb8cbf
2008-06-21T13:44:48Z INFO: LLEventPollResponder::stop   <2> https://sim3436.agni.lindenlab.com:12043/cap/b3575849-cc1b-fb79-01c8-2e8391eb8cbf
2008-06-21T13:45:10Z WARNING: LLEventPollResponder::error: <3> got 404: Not Found
2008-06-21T13:45:10Z INFO: LLEventPollResponder::stop   <3> https://sim2191.agni.lindenlab.com:12043/cap/aaeab499-615a-b6d7-e858-e12fb4301527
2008-06-21T13:45:10Z INFO: LLEventPollResponder::stop   <3> https://sim2191.agni.lindenlab.com:12043/cap/aaeab499-615a-b6d7-e858-e12fb4301527
2008-06-21T13:56:38Z INFO: handleViewerCrash: Creating crash marker file /home/marado/.secondlife/logs/SecondLife.error_marker
2008-06-21T13:56:38Z INFO: handleViewerCrash: Created crash marker file /home/marado/.secondlife/logs/SecondLife.error_marker
2008-06-21T13:56:38Z INFO: closeDebug: Opening debug file /home/marado/.secondlife/logs/debug_info.log
2008-06-21T13:56:38Z INFO: removeMarkerFile()
2008-06-21T13:56:38Z INFO: do_basic_glibc_backtrace: Opening stack trace file /home/marado/.secondlife/logs/stack_trace.log
2008-06-21T13:56:38Z INFO: fork: Forked child process 3481
2008-06-21T13:56:38Z INFO: LLApp::setupErrorHandling - Starting error thread
2008-06-21T13:56:38Z INFO: run: thread_error - Waiting for an error
2008-06-21T13:56:38Z INFO: LLThread::staticRun() Exiting: Error
2008-06-21T13:56:38Z WARNING: handleCrashReporting: execv failure when trying to start /usr/share/secondlife/linux-crash-logger.bin
Segmentation fault

Here are the logs created:
http://talkerspt.no-ip.org/~mbooster/debug_info.log
http://talkerspt.no-ip.org/~mbooster/stack_trace.log

If you want me to help you trying to debug this, just ask me what you want to
know or do, and I'll gladly help.

Best regards,
--
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul TBBle Hampson <Paul.Hampson@Pobox.com>:
Bug#406335; Package wnpp. (Mon, 24 May 2010 19:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul TBBle Hampson <Paul.Hampson@Pobox.com>. (Mon, 24 May 2010 19:10:02 GMT) Full text and rfc822 format available.

Message #489 received at 406335@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 406335@bugs.debian.org
Cc: control@bugs.debian.org
Subject: secondlife-client: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:54 +0000
retitle 406335 RFP: secondlife-client -- a client for the Second Life online virtual world
noowner 406335
thanks

Hi,

This is an automatic email to change the status of secondlife-client back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting secondlife-client, please send a mail to
<control@bugs.debian.org> with:

 retitle 406335 ITP: secondlife-client -- a client for the Second Life online virtual world
 owner 406335 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <406335@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: secondlife-client -- a client for the Second Life online virtual world' from 'ITP: secondlife-client -- a client for the Second Life online virtual world' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:21:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Paul TBBle Hampson <Paul.Hampson@Pobox.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#406335; Package wnpp. (Tue, 25 May 2010 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@hirst-magnetics.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 May 2010 07:57:03 GMT) Full text and rfc822 format available.

Message #498 received at 406335@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@hirst-magnetics.com>
To: 406335@bugs.debian.org
Subject: secondlife package information
Date: Tue, 25 May 2010 08:54:19 +0100
I'll leave the ITP closed for the moment but I am working on secondlife 
debian and ubuntu packages and I am still distributing them via 
http://omvviewer.byteme.org.uk

I would kindly ask if anyone else wants to help finish this off that 
they contact my self, you will also find that I am part of the upstream 
(offical) snowglobe project, which any packages of secondlife should be 
based on.

There are still dependencies that need to go into debian to complete 
this package, currently these are all on my apt repository 
apt.byeteme.org.uk and are :-

libcurl-cares (libcurl build with openssl cares and --non-blocking option)
boost-coroutines (not an offical part of boost, a summer of code boost 
prject from a few years bacl)
libllqtwebkit (a library to embed webkit browsers in other applications)
libndofdev (a library for talking to spacenav joysticks)
glh-linear ( a glh header for accessing wrapping some extended opengl 
functions)
libjsoncpp (a c++ json library)

I have prototype functional packages for all of these files, but all 
would need further work to be of suitable standard to include in the 
archive.

The other issue I have is the release rate of secondlife/snowglobe vs 
the archive update rate. We could end up with massivly out of date 
secondlife viewers, I know there are backports etc options but it is 
extra work and something that needs considering.

Anyway, i'm happy to work with anyone else who wants to help get these 
dependencies in the archive and actually get this in the archive.

Best regards

Robin Cornelius










Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:42:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.